<?php
/***********************************************************************
** Title.........:	Thumbnail generator, with cache.
** Version.......:	1.0
** Author........:	Xiang Wei ZHUO <wei@zhuo.org>
** Filename......:	thumbs.php
** Last changed..:	1 Mar 2003
** Notes.........:	Configuration in config.inc.php

                    - if the thumbnail does not exists or the source
					  file is newer, create a new thumbnail.

***********************************************************************/


include 'config.inc.php';
require_once '../ImageEditor/Transform.php';

$img = substr($BASE_DIR,0,-1).urldecode($_GET['img']);

if(is_file($img)) {
	make_thumbs(urldecode($img));
}


function make_thumbs($img)
{
	global $BASE_DIR, $BASE_URL;


	$path_info = pathinfo($img);
	$path = str_replace($BASE_DIR,'',$path_info['dirname']).'/';
	if ($path == $BASE_DIR) {
		$path = '';
	}
	$img_file = $path_info['basename'];

	$thumb = $BASE_DIR.$path.'.'.$img_file;

	$img_info = getimagesize($img);
	$w = $img_info[0]; $h = $img_info[1];

	$nw = 96; $nh = 96;

	if($w <= $nw && $h <= $nh) {
		header('Location: '.$BASE_URL.$path.$img_file);
		exit();
	}

	if(is_file($thumb)) {

		$t_mtime = filemtime($thumb);
		$o_mtime = filemtime($img);

		if($t_mtime > $o_mtime) {
			//echo $BASE_URL.$_GET['img'];
			header('Location: '.$BASE_URL.$path.'.'.$img_file);
			exit();
		}
	}

//	echo '<pre>'.IMAGE_CLASS.'</pre>';
	$img_thumbs = Image_Transform::factory(IMAGE_CLASS);
//	echo '<pre>'.$img_thumbs->image.'</pre>';
	$img_thumbs->load($img);


	if ($w > $h)
         $nh = unpercent(percent($nw, $w), $h);
    else if ($h > $w)
         $nw = unpercent(percent($nh, $h), $w);

	$img_thumbs->resize($nw, $nh);

	$img_thumbs->save($thumb);
	$img_thumbs->free();

	chmod($thumb, 0666);

	if(is_file($thumb)) {
		//echo $BASE_URL.$path.'.'.$img_file;
		header('Location: '.$BASE_URL.$path.'.'.$img_file);
		exit();
	}
}
function percent($p, $w)
    {
    return (real)(100 * ($p / $w));
    }

function unpercent($percent, $whole)
    {
    return (real)(($percent * $whole) / 100);
    }

?>