<?php

/*

+---------------------------------------------------------------+
|  Title:	FULLSCREEN.PHP					|
+---------------------------------------------------------------+
|  Copyright:	2003, YTZ Technical Services, LLC.		|
+---------------------------------------------------------------+
|  Author:	jwhite@ytztech.com				|
+---------------------------------------------------------------+
|  Version:	2.0 RC2						|
+---------------------------------------------------------------+
|  Description:							|
|								|
|  FULLSCREEN.PHP provides a popup window for HTMLArea that	|
|  allows full-screen editing access to the graphical HTML	|
|  editor.  This script permits all the functions of the inline	|
|  editor to be brought into the fullscreen version, including:	|
|								|
|	-  CSS support						|
|	-  Inserting links					|
|	-  Inserting images					|
+---------------------------------------------------------------+
|  Licensing:							|
|								|
|  FULLSCREEN.PHP is part of FreeWPS.				|
|								|
|  FreeWPS is free software; you can redistribute		|
|  it and/or modify it under the terms of the GNU		|
|  General Public License as published by the Free		|
|  Software Foundation; either version 2 of the			|
|  License, or (at your option) any later version.		|
|								|
|  FreeWPS is distributed in the hope that it will		|
|  be useful, but WITHOUT ANY WARRANTY; without even		|
|  the implied warranty of MERCHANTABILITY or			|
|  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU		|
|  General Public License (included as COPYING.txt)		|
|  for more details.						|
|								|
|  You should have received a copy of the GNU General		|
|  Public License along with FreeWPS. If you did		|
|  not, you may download a copy at:				|
|								|
|  URL:  http://www.fsf.org/licenses/gpl.txt			|
|								|
|  You may also request a copy from:				|
|								|
|  Free Software Foundation, Inc.				|
|  59 Temple Place, Suite 330					|
|  Boston, MA 02111-1307					|
|  USA								|
|								|
|  You may contact the author/development team at:		|
|								|
|  YTZ Technical Services, LLC.					|
|  1025 Discovery St.						|
|  Plano, TX 75094						|
|								|
|  URL:  http://www.ytztech.com					|
+---------------------------------------------------------------+

*/


  include_once '../../includes/functions.php';	// Includes global functions.

  $cssfile = file($GLOBALS['site_path'].'/includes/webedit.css');
  $stylenames = array();
  for ($i = 0; $i < count($cssfile) - 1; $i++) {
    if ($cssfile[$i]{0} == '.') {
      $commapos = strpos($cssfile[$i],',');
      if ($commapos !== FALSE) {
        $stylenames[] = substr($cssfile[$i],1,$commapos-1);
      }
      else {
        $spacepos = strpos($cssfile[$i],' ');
        if ($spacepos !== FALSE) {
          $stylenames[] = substr($cssfile[$i],1,$spacepos-1);
        }
        else {
          $bracketpos = strpos($cssfile[$i],'{');
          if ($bracketpos !== FALSE) {
            $stylenames[] = substr($cssfile[$i],1,$bracketpos-1);
          }
          else {
            $stylenames[] = substr($cssfile[$i],1);
          }
        }
      }
    }
  }

  $styles = ' "- Styles -" : "",'."\r\n".'                        ';
  $styles .= ' "None" : "",'."\r\n".'                        ';
  $comma = ',';
  for ($i = 0; $i < count($stylenames); $i++) {
    if ($i == count($stylenames) - 1) {
      $comma = '';
    }
    $styles .= ' "'.$stylenames[$i].'" : "'.$stylenames[$i].'"'.$comma."\r\n".'                        ';
  }


?>
<html>
<head><title>Fullscreen Editor</title>
<style type="text/css">
@import url("../htmlarea.css");
html, body {	margin: 0px; border: 0px; background-color: buttonface; } </style>

<body onunload="update_parent()">

<form style="margin: 0px; border: 1px solid; border-color: threedshadow threedhighlight threedhighlight threedshadow;">
<textarea name="editor" id="editor" style="width:100%; height:300px">&nbsp;</textarea>
</form>

<script type="text/javascript">
<!--
  _editor_url = '../';
-->
</script>
<script type="text/javascript" src="../htmlarea.js"></script>
<script type="text/javascript" src="../wpsaddons.js"></script>
<script type="text/javascript" src="../lang/en.js"></script>
<script type="text/javascript" src="../dialog.js"></script>
<script type="text/javascript" src="../popupwin.js"></script>

<!-- load the plugins -->

<script type="text/javascript">
  HTMLArea.loadPlugin("ContextMenu");
  HTMLArea.loadPlugin("CSS");
  HTMLArea.loadPlugin("TableOperations");
  HTMLArea.loadPlugin("SpellChecker");
</script>

<script type="text/javascript">
<!--
var parent_object  = null;
var editor         = null;      // to be initialized later [ function init() ]

/* ---------------------------------------------------------------------- *\
  Function    :
  Description :
\* ---------------------------------------------------------------------- */

function _CloseOnEsc(ev) {
  if (document.all) {
    // IE
    ev = window.event;
  }
  if (ev.keyCode == 27) {
    // update_parent();
    window.close();
    return;
  }
}

/* ---------------------------------------------------------------------- *\
  Function    : cloneObject
  Description : copy an object by value instead of by reference
  Usage       : var newObj = cloneObject(oldObj);
\* ---------------------------------------------------------------------- */

function cloneObject(obj) {
  var newObj          = new Object;

  // check for array objects
  if (obj.constructor.toString().indexOf("function Array(") == 1) {
    newObj = obj.constructor();
  }

  // check for function objects (as usual, IE is fucked up)
  if (obj.constructor.toString().indexOf("function Function(") == 1) {
    newObj = obj; // just copy reference to it
  } else for (var n in obj) {
    var node = obj[n];
    if (typeof node == 'object') { newObj[n] = cloneObject(node); }
    else                         { newObj[n] = node; }
  }

  return newObj;
}

/* ---------------------------------------------------------------------- *\
  Function    : resize_editor
  Description : resize the editor when the user resizes the popup
\* ---------------------------------------------------------------------- */

function resize_editor() {  // resize editor to fix window
  var newHeight;
  if (document.all) {
    // IE
    newHeight = document.body.offsetHeight - editor._toolbar.offsetHeight;
    if (newHeight < 0) { newHeight = 0; }
  } else {
    // Gecko
    newHeight = window.innerHeight - editor._toolbar.offsetHeight;
  }
  if (editor.config.statusBar) {
    newHeight -= editor._statusBar.offsetHeight;
  }
  editor._textArea.style.height = editor._iframe.style.height = newHeight + "px";
}

/* ---------------------------------------------------------------------- *\
  Function    : init
  Description : run this code on page load
\* ---------------------------------------------------------------------- */

function init() {
  parent_object      = opener.HTMLArea._object;
  var config         = cloneObject( parent_object.config );
  config.width       = "100%";
  config.height      = "auto";

  // change maximize button to minimize button
  config.btnList["popupeditor"] = [ 'Minimize Editor', '../images/fullscreen_minimize.gif', true,
                                    function() { window.close(); } ];
  // generate editor and resize it
  editor = new HTMLArea("editor", config);
  editor.registerPlugin("ContextMenu");
  editor.generate();
  editor._iframe.style.width = "100%";
  editor._textArea.style.width = "100%";
  resize_editor();

  // set child window contents and event handlers, after a small delay
  setTimeout(function() {

    editor.setHTML(parent_object.getInnerHTML());

    // switch mode if needed
    if (parent_object._mode == "textmode") { editor.setMode("textmode"); }

    // continuously update parent editor window
    setInterval(update_parent, 500);

    // setup event handlers
    document.body.onkeypress = _CloseOnEsc;
    editor._doc.body.onkeypress = _CloseOnEsc;
    editor._textArea.onkeypress = _CloseOnEsc;
    window.onresize = resize_editor;

    // Fix problems with relative image URLs.

    cleanhtml = editor.getInnerHTML();
    var objRegExp = new RegExp("htmlarea/popups/","g");

    if (cleanhtml.match(objRegExp)) {
      cleanhtml = cleanhtml.replace(objRegExp,"");
    }
    editor.setHTML(cleanhtml);

  }, 333);                      // give it some time to meet the new frame
}

/* ---------------------------------------------------------------------- *\
  Function    : update_parent
  Description : update parent window editor field with contents from child window
\* ---------------------------------------------------------------------- */

function update_parent() {
  // use the fast version
  parent_object.setHTML(editor.getInnerHTML());
}

-->
</script>
</head>
<script type="text/javascript">
<!--
  init();
-->
</script>

</body></html>
