<?php
/**
 * Provides set of predefined constants used throughout FreeWPS for security groups
 * and version control.
 * @package Core-Scripts
 */
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +------------------------------------------------------+
// | DEFINES.PHP                                          |
// +------------------------------------------------------+
// | Copyright (c) 2003-2004 YTZ Technical Services, LLC. |
// +------------------------------------------------------+
// | DEFINES.PHP is part of FreeWPS.                      |
// |                                                      |
// | FreeWPS was built using the FreeWPS Software         |
// | Development Kit (SDK), version 2.0.  Free Web        |
// | Publishing System[tm] and FreeWPS[tm] are both       |
// | trademarks of YTZ Technical Services, LLC.           |
// |                                                      |
// | FreeWPS is free software; you can redistribute       |
// | it and/or modify it under the terms of the GNU       |
// | General Public License as published by the Free      |
// | Software Foundation; either version 2 of the         |
// | License, or (at your option) any later version.      |
// |                                                      |
// | FreeWPS is distributed in the hope that it will      |
// | be useful, but WITHOUT ANY WARRANTY; without even    |
// | the implied warranty of MERCHANTABILITY or           |
// | FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       |
// | General Public License (included as COPYING.txt)     |
// | for more details.                                    |
// |                                                      |
// | You should have received a copy of the GNU General   |
// | Public License along with FreeWPS. If you did        |
// | not, you may download a copy at:                     |
// |                                                      |
// | URL:  http://www.fsf.org/licenses/gpl.txt            |
// |                                                      |
// | You may also request a copy from:                    |
// |                                                      |
// | Free Software Foundation, Inc.                       |
// | 59 Temple Place, Suite 330                           |
// | Boston, MA 02111-1307                                |
// | USA                                                  |
// +------------------------------------------------------+
// | Author: Justin White <jwhite@ytztech.com>            |
// +------------------------------------------------------+
//
// $Id: defines.php,v 1.15 2005/05/29 16:37:57 ytztech Exp $
//

/**
 * Specific value representing the running version of this FreeWPS installation.
 */
define('FREEWPS_VERSION','2.11');

/**
 * General value representing the running version of this FreeWPS installation.
 *
 * If MAJOR_VERSION exceeds the value in the "freewps_version" from TABLE
 * $dbpref_SETTINGS, an upgrade option appears in the "Website Configuration
 * module and the Administration Panel.
 */
define('FREEWPS_MAJORVER','2.1');

/**
 * Security value representing all users, whether authenticated or not.
 */
define('EVERYONE_GROUP',0);

/**
 * Security value representing registered users who have authoring rights for new
 * pages.
 */
define('CONTENT_AUTHORS',-2147483644);

/**
 * Security value representing registered users who have editorial rights for all
 * content that is available, including content sections, pages, blocks, image
 * files used for content or backgrounds, et al.
 */
define('CONTENT_EDITORS',-2147483645);

/**
 * Security value representing registered users who have admin rights related to
 * maintenance of user accounts, including add/edit/remove.
 */
define('ACCOUNT_ADMINS',-2147483646);

/**
 * Security value representing the "root" or "supervisor" users, who have access
 * to any and all areas in FreeWPS.
 */
define('SUPERUSERS_GROUP',-2147483647);

?>