// +------------------------------------------------------+
// | FUNCTIONS.JS                                         |
// +------------------------------------------------------+
// | Copyright (c) 2003-2004 YTZ Technical Services, LLC. |
// +------------------------------------------------------+
// | FUNCTIONS.JS is part of FreeWPS.                     |
// |                                                      |
// | FreeWPS is free software; you can redistribute       |
// | it and/or modify it under the terms of the GNU       |
// | General Public License as published by the Free      |
// | Software Foundation; either version 2 of the         |
// | License, or (at your option) any later version.      |
// |                                                      |
// | FreeWPS is distributed in the hope that it will      |
// | be useful, but WITHOUT ANY WARRANTY; without even    |
// | the implied warranty of MERCHANTABILITY or           |
// | FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       |
// | General Public License (included as COPYING.txt)     |
// | for more details.                                    |
// |                                                      |
// | You should have received a copy of the GNU General   |
// | Public License along with FreeWPS. If you did        |
// | not, you may download a copy at:                     |
// |                                                      |
// | URL:  http://www.gnu.org/licenses/gpl.txt            |
// |                                                      |
// | You may also request a copy from:                    |
// |                                                      |
// | Free Software Foundation, Inc.                       |
// | 59 Temple Place, Suite 330                           |
// | Boston, MA 02111-1307                                |
// | USA                                                  |
// +------------------------------------------------------+
// | Author: Justin White <jwhite@ytztech.com>            |
// +------------------------------------------------------+
//
// $Id: functions.js,v 1.5 2004/03/31 05:34:32 ytztech Exp $
//


function disableButton (button)
{
	button.className = 'buttonRegular';
	if (document.all || document.getElementById)
		button.disabled = true;
	else if (button) {
		button.oldOnClick = button.onclick;
		button.onclick = null;
		button.oldValue = button.value;
		button.value = 'DISABLED';
	}
}


function enableButton (button)
{
	if (document.all || document.getElementById)
		button.disabled = false;
	else if (button) {
		button.onclick = button.oldOnClick;
		button.value = button.oldValue;
	}
	button.className = 'buttonRegular';
}


function deleteOption (select,button)
{
	for (var i=(select.options.length-1); i >= 0; i--) {
		if (select.options[i].selected) {
			select.options[i] = null;
		}
	}
	select.selectedIndex = -1;
	disableButton(button);
}


function checkSelect (select,button)
{
	if (select.selectedIndex == -1) {
		disableButton(button);
	}
	else {
		enableButton(button);
	}
}

function centerPopupWin()
{
	if (!document.all) {
		var x = opener.screenX + (opener.outerWidth - window.outerWidth) / 2;
		var y = opener.screenY + (opener.outerHeight - window.outerHeight) / 2;
		window.moveTo(x, y);
	}
	else {
		var ch = document.body.clientHeight;
		var cw = document.body.clientWidth;
		window.resizeBy(document.body.offsetWidth - cw, document.body.offsetHeight - ch);
		var W = document.body.offsetWidth;
		var H = 2 * document.body.offsetHeight - ch;
		var x = (screen.availWidth - W) / 2;
		var y = (screen.availHeight - H) / 2;
		window.moveTo(x, y);
	}
}