// +------------------------------------------------------+
// | TREEMENU.JS                                          |
// +------------------------------------------------------+
// | Copyright (c) 2003-2004 YTZ Technical Services, LLC. |
// +------------------------------------------------------+
// | TREEMENU.JS is free software; you can redistribute   |
// | it and/or modify it under the terms of the GNU       |
// | General Public License as published by the Free      |
// | Software Foundation; either version 2 of the         |
// | License, or (at your option) any later version.      |
// |                                                      |
// | TREEMENU.JS is distributed in the hope that it will  |
// | be useful, but WITHOUT ANY WARRANTY; without even    |
// | the implied warranty of MERCHANTABILITY or           |
// | FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       |
// | General Public License (included as COPYING.txt)     |
// | for more details.                                    |
// |                                                      |
// | You should have received a copy of the GNU General   |
// | Public License along with TREEMENU.JS. If you did    |
// | not, you may download a copy at:                     |
// |                                                      |
// | URL:  http://www.gnu.org/licenses/gpl.txt            |
// |                                                      |
// | You may also request a copy from:                    |
// |                                                      |
// | Free Software Foundation, Inc.                       |
// | 59 Temple Place, Suite 330                           |
// | Boston, MA 02111-1307                                |
// | USA                                                  |
// +------------------------------------------------------+
// | Author: Justin White <jwhite@ytztech.com>            |
// +------------------------------------------------------+
//
// $Id: treemenu.js,v 1.1 2004/08/15 05:39:50 ytztech Exp $
//

//constructor of treeMenu
var treeMenu = function()
{
	this.addItem	= addItem;
	this.addFolder	= addFolder;
	this.endFolder	= endFolder;
	this.html		= "";
	this.imgClosed	= "closed.png";
	this.imgItem	= "item.png";
	this.imgOpened	= "opened.png";
	this.intFolder	= 0;
	this.targetDef	= "_self";
	this.toggle		= toggle;
	this.currentDoc	= document;
};

function addItem (m_text, m_url, m_target, m_tooltip, m_icon)
{
	//	Set defaults
	m_target	= (typeof m_target == "undefined") ? this.targetDef : m_target;
	m_tooltip	= (typeof m_tooltip == "undefined") ? "" : m_tooltip;
	m_icon		= (typeof m_icon == "undefined" ) ? this.imgItem : m_icon;

	// Add this item
	this.html	+= "<a href=\""+m_url+"\" target=\""+m_target+"\" title=\""+m_tooltip+"\"><img src=\""+m_icon+"\" alt=\"\" />"+m_text+"</a><br />\n";
}

function addFolder (m_text, m_icon, m_alticon)
{
	//	Set defaults
	m_icon		= (typeof m_icon == "undefined" ) ? this.imgClosed : m_icon;
	m_alticon	= (typeof m_alticon == "undefined" ) ? this.imgOpened : m_alticon;

	// Add this folder
	this.intFolder++;
	this.html += "<div class=\"folder\" onclick=\"m.toggle('folder"+this.intFolder+"','"+m_icon+"','"+m_alticon+"')\"><img src=\""+m_icon+"\" alt=\"\" id=\"i_folder"+this.intFolder+"\" />"+m_text+"</div>\n<span class=\"item\" id=\"m_folder"+this.intFolder+"\">\n";
}

function endFolder() {
	this.html += "</span>";
}

function toggle(item,img1,img2)
{
	// Toggle the display of folder's items.
	var s = this.currentDoc.getElementById("m_"+item).style;
	s.display = (s.display == "block") ? "none" : "block";
	// Toggle the image used for the folder.
	var i = this.currentDoc.getElementById("i_"+item);
	i.src = (i.src.indexOf(img1) > -1) ? img2 : img1;
}
