<?php
/**
 * LANG-INSTALL.PHP contains the locale-specific constants used in FreeWPS in the
 * install/upgrade scripts for labels on the various form fields, buttons, headings,
 * etc.
 * @package Core-Scripts
 */
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +------------------------------------------------------+
// | LANG-INSTALL.PHP                                     |
// +------------------------------------------------------+
// | Copyright (c) 2003-2004 YTZ Technical Services, LLC. |
// +------------------------------------------------------+
// | LANG-INSTALL.PHP is part of FreeWPS.                 |
// |                                                      |
// | FreeWPS is free software; you can redistribute       |
// | it and/or modify it under the terms of the GNU       |
// | General Public License as published by the Free      |
// | Software Foundation; either version 2 of the         |
// | License, or (at your option) any later version.      |
// |                                                      |
// | FreeWPS is distributed in the hope that it will      |
// | be useful, but WITHOUT ANY WARRANTY; without even    |
// | the implied warranty of MERCHANTABILITY or           |
// | FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       |
// | General Public License (included as COPYING.txt)     |
// | for more details.                                    |
// |                                                      |
// | You should have received a copy of the GNU General   |
// | Public License along with FreeWPS. If you did        |
// | not, you may download a copy at:                     |
// |                                                      |
// | URL:  http://www.fsf.org/licenses/gpl.txt            |
// |                                                      |
// | You may also request a copy from:                    |
// |                                                      |
// | Free Software Foundation, Inc.                       |
// | 59 Temple Place, Suite 330                           |
// | Boston, MA 02111-1307                                |
// | USA                                                  |
// +------------------------------------------------------+
// | Author: Justin White <jwhite@ytztech.com>            |
// +------------------------------------------------------+
//
// $Id: lang-install.php,v 1.4 2004/08/15 05:49:26 ytztech Exp $
//

// The available list of constants can be customized to suit the purposes of your
// particular website.  However, be aware that these values can and will be updated
// when the INSTALL.PHP script is updated.  Also, be sure to only make changes to
// the second parameter of the define.

/**#@+
 * @access private
 * @ignore
 */
define('_INSTALL_CHARSET', 'iso-8859-1');
define('_INSTALL_LANGABBR', 'en');
define('_INSTALL_LANGNAME', 'English');
define('_INSTALL01', 'Choose Installation Language');
define('_INSTALL02', '&nbsp;Go&nbsp;');
define('_INSTALL03', 'Choose SQL Type');
define('_INSTALL04', 'Introduction');
define('_INSTALL05', 'Step 1');
define('_INSTALL06', 'Step 2');
define('_INSTALL07', 'Step 3');
define('_INSTALL08', 'Setup Complete');
define('_INSTALL09', 'Installation');
define('_INSTALL10', 'Install Menu Page');
define('_INSTALL11', 'Before you begin the process of setting up your FreeWPS installation, here\'s a list of what information will be required to properly configure your FreeWPS installation:');
define('_INSTALL12', 'Database Requirements');
define('_INSTALL13', 'Host Address (IP/FQDN/Hostname)');
define('_INSTALL14', 'Server Type');
define('_INSTALL15', 'Username/Password');
define('_INSTALL16', 'Database Name');
define('_INSTALL17', 'You will have several optional parameters available to customize FreeWPS, which are discussed in greater detail in the FreeWPS documentation included with the installation package that you downloaded or on the <a href="http://www.ytztech.com/freewps/docs/02/index.html" target="_blank">FreeWPS website</a>.');
define('_INSTALL18', 'Go to Step 1');
define('_INSTALL19', 'You will find the progress bar to the left, which will guide the setup process and allow you to return to any of the setup screens to adjust the settings you configured.&nbsp; To begin the process, click on the "'._INSTALL18.'" button below:');
define('_INSTALL20', 'SQL Database Setup');
define('_INSTALL21', 'Please fill in the configuration settings below based on the setup of your relational database management system (RDBMS).&nbsp; You should already have setup a user/password combination and you will need to choose a table prefix not used by any existing tables in your database.');
define('_INSTALL22', 'FATAL ERROR:');
define('_INSTALL23', 'Could not connect to your <strong><!--SQLTYPE--></strong> database.&nbsp; Verify your settings.');
define('_INSTALL24', 'Support for <strong><!--SQLTYPE--></strong> could not be loaded.&nbsp; Verify your settings.');
define('_INSTALL25', '<strong><small>NOTE: Items marked with </small><tt style="color: red;">**</tt><small> must be completed.</small></strong>');
define('_INSTALL26', 'Enter the database user password.');
define('_INSTALL27', 'Confirm the database user password.');
define('_INSTALL28', 'Your passwords don\'t match.');
define('_INSTALL29', 'Enter the database user password.');
define('_INSTALL30', 'Username');
define('_INSTALL31', 'Password');
define('_INSTALL32', 'Confirm Password');
define('_INSTALL33', 'Database Name');
define('_INSTALL34', 'Go to Step 2');
define('_INSTALL35', 'Website Configuration');
define('_INSTALL36', 'All the settings listed in Step 2 make up the simplest part of customizing your FreeWPS installation.&nbsp; The listed values are required for successful operation of all FreeWPS features.&nbsp; The values which have already been filled in were detected automatically by the FreeWPS Setup Wizard.&nbsp; Correct any values that have been improperly detected.');
define('_INSTALL37', 'Administrative Contact:');
define('_INSTALL38', 'Administrative Email Address:');
define('_INSTALL39', 'Authorization Timeout (seconds):');
define('_INSTALL40', 'Login Screen Timeout (seconds):');
define('_INSTALL41', 'Password Support Email:');
define('_INSTALL42', 'Site Name (short):');
define('_INSTALL43', 'Site Path:');
define('_INSTALL44', 'Site URL:');
define('_INSTALL45', 'Main HTML Template:');
define('_INSTALL46', 'Member HTML Template:');
define('_INSTALL47', 'Printer-friendly HTML Template:');
define('_INSTALL48', 'Go to Step 3');
define('_INSTALL49', 'Superuser Password');
define('_INSTALL50', 'Before completing the Setup Wizard, you must create a "superuser" or "root" account with which you may manage your FreeWPS installation.&nbsp; The superuser account cannot be easily renamed after completing the Setup Wizard, so choose carefully.  The superuser password can be changed later, if you wish to do so.');
define('_INSTALL51', 'You must enter a valid username.');
define('_INSTALL52', 'Please type a new password.');
define('_INSTALL53', 'Please confirm the password.');
define('_INSTALL54', 'Your passwords do not match.  Please try again.');
define('_INSTALL55', 'Complete Setup Wizard');
define('_INSTALL56', 'FreeWPS Setup Wizard Completed!');
define('_INSTALL57', 'Congratulations!  Your FreeWPS implementaion is nearly ready.&nbsp; You will need to further customize the installation by following the "Customizing FreeWPS" section of the FreeWPS documentation included with the package that you downloaded or in the <a href="http://www.ytztech.com/freewps/docs/" target="_blank">online documentation</a> located at the FreeWPS Home Page.');
define('_INSTALL58', 'Try Your Installation');
define('_INSTALL59', 'As your final step, you will need to verify that your FreeWPS-based website is working by clicking on the "<strong>'._INSTALL58.'</strong>" button to login as "<strong><!--USERNAME--></strong>".');
define('_INSTALL60', 'You have two final steps.  First, you must save the CONFIG.PHP that this setup wizard will create for you.&nbsp; Normally, this process is done automatically.&nbsp; However, a problem was encoutered during the saving process:');
define('_INSTALL61', 'Could not write to existing file CONFIG.PHP.  Check file permissions.');
define('_INSTALL62', 'Could not write file CONFIG.PHP to INCLUDES folder.  Check folder permissions.');
define('_INSTALL63', 'Could not read from file CONFIG.PHP.DIST.');
define('_INSTALL64', 'Save Your CONFIG.PHP');
define('_INSTALL65', 'Regardless of the error, be sure to save the CONFIG.PHP in the INCLUDES directory of your FreeWPS implementation before trying to use the system.&nbsp; You may save the CONFIG.PHP by clicking on the "<strong>'._INSTALL64.'</strong>" button.');
define('_INSTALL66', 'Second, after saving your CONFIG.PHP, you will need to verify that your FreeWPS-based website is working by clicking on the "<strong>'._INSTALL58.'</strong>" button to login as "<strong><!--USERNAME--></strong>".');
define('_INSTALL67', 'Main Install Page');
define('_INSTALL68', 'Copyright');
define('_INSTALL69', 'All Rights Reserved.');
define('_INSTALL70', 'The current language to be used throughout all form fields, buttons, and labels in FreeWPS&#8482;');
define('_INSTALL71', 'Before you install FreeWPS...');
define('_INSTALL72', 'Current Language');
define('_INSTALL73', 'Table Prefix');
define('_INSTALL74', 'Popup-window HTML Template');
define('_INSTALL75', '<h2>Error 404 - Page Not Found</h2><p>The page you attempted to access is either unavailable or has changed locations.  If you manually typed the URL, make sure that you have spelled it correctly.</p><p>You can visit the <a href="search.php">Search Page</a> to locate the missing URL or proceed to the <a href="index.php"> Home Page</a>.</p>');
define('_INSTALL76', 'Printer-Friendly Page');
/**#@-*/

?>