<?php
/**
 * Updates the configuration and setup of FreeWPS.
 * @package Core-Scripts
 */
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +------------------------------------------------------+
// | UPGRADE.PHP                                          |
// +------------------------------------------------------+
// | Copyright (c) 2003-2004 YTZ Technical Services, LLC. |
// +------------------------------------------------------+
// | UPGRADE.PHP is part of FreeWPS.                      |
// |                                                      |
// | FreeWPS is free software; you can redistribute       |
// | it and/or modify it under the terms of the GNU       |
// | General Public License as published by the Free      |
// | Software Foundation; either version 2 of the         |
// | License, or (at your option) any later version.      |
// |                                                      |
// | FreeWPS is distributed in the hope that it will      |
// | be useful, but WITHOUT ANY WARRANTY; without even    |
// | the implied warranty of MERCHANTABILITY or           |
// | FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       |
// | General Public License (included as COPYING.txt)     |
// | for more details.                                    |
// |                                                      |
// | You should have received a copy of the GNU General   |
// | Public License along with FreeWPS. If you did        |
// | not, you may download a copy at:                     |
// |                                                      |
// | URL:  http://www.fsf.org/licenses/gpl.txt            |
// |                                                      |
// | You may also request a copy from:                    |
// |                                                      |
// | Free Software Foundation, Inc.                       |
// | 59 Temple Place, Suite 330                           |
// | Boston, MA 02111-1307                                |
// | USA                                                  |
// +------------------------------------------------------+
// | Author: Justin White <jwhite@ytztech.com>            |
// +------------------------------------------------------+
//
// $Id: upgrade.php,v 1.6 2004/08/15 05:49:26 ytztech Exp $
//


// Ensure that this script has enough time to process the SQL statements involved.
set_time_limit(0);

session_start();

$local_path = str_replace('\\','/',dirname(__FILE__));
$site_path  = str_replace('/install','',$local_path);

/** Include the global configuration (SQL). */
include_once('../includes/config.php');

/** Include the global defines. */
include_once('../includes/defines.php');

/** Include the SQL abstraction layer. */
include_once('../includes/sql_al.php');

if ($dbtype == 'postgresql') {
	$sql_changecase = 'upper';
}

if (!isset($db_id)) {
	$db_id = sql_connect($dbhost,$dbuser,$dbpass,$dbname);  // If no SQL connection exists, connect to the FreeWPS database.
}	//  End of IF

if (!isset($site_url)) {
	$setting_results = sql_query('SELECT SETTING_NAME, SETTING_VALUE FROM '.$dbpref.'_SETTINGS', $GLOBALS['db_id']);
	while ($setting_row = sql_fetch_array($setting_results)) {
		$GLOBALS[$setting_row['SETTING_NAME']] = $setting_row['SETTING_VALUE'];
	}
	sql_free_result($setting_results);
}

if (@file_exists('languages/'.$freewps_language.'/lang-install.php')) {
	include_once('languages/'.$freewps_language.'/lang-install.php');
	include_once('languages/'.$freewps_language.'/lang-sql.php');
} elseif (@file_exists('languages/english/lang-install.php')) {
	include_once('languages/english/lang-install.php');
	include_once('languages/english/lang-sql.php');
} else {
	die('No valid language files could be found in <strong>"'.$site_path.
		'/install/languages"</strong>.&nbsp; Verify that at least the "english" directory exists.');
}

$sqlfile = 'sql/upgrade.sql';
switch ($dbtype) {
	case 'fbird':
	case 'fbsql':
	case 'ibase':
	case 'oracle':
	case 'oci8':
		$sqlfile .= '.ora';
		break;
	case 'postgresql':
		$sqlfile .= '.pg';
		break;
}

$sql_file = @file($sqlfile);

if (!is_array($sql_file)) {
	$_SESSION['sql_success'] = FALSE;
} else {
	$sql_file[4]	= str_replace('_SQL65',_SQL65,$sql_file[4]);
	$sql_file[4]	= str_replace('_SQL66',_SQL66,$sql_file[4]);
	$sql_file[5]	= str_replace('_SQL67',_SQL67,$sql_file[5]);
	$sql_file[5]	= str_replace('_SQL68',_SQL68,$sql_file[5]);
	$sql_file[6]	= str_replace('_SQL69',_SQL69,$sql_file[6]);
	$sql_file[6]	= str_replace('_SQL70',_SQL70,$sql_file[6]);
	$sql_file[7]	= str_replace('_SQL71',_SQL71,$sql_file[7]);
	$sql_file[7]	= str_replace('_SQL72',_SQL72,$sql_file[7]);
	$sql_file[8]	= str_replace('_SQL73',_SQL73,$sql_file[8]);
	$sql_file[9]	= str_replace('_SQL74',_SQL74,$sql_file[9]);
	$sql_file[9]	= str_replace('_SQL75',_SQL75,$sql_file[9]);
	$sql_file[9]	= str_replace('_SQL76',_SQL76,$sql_file[9]);
	$sql_file[13]	= str_replace('_SQL77',_SQL77,$sql_file[13]);
	$sql_file[6]	= str_replace('<!--error_404-->',_INSTALL75,$sql_file[6]);
	$sql_file[8]	= str_replace('<!--print_friendly-->',_INSTALL76,$sql_file[8]);
	for ($i = 0; $i < count($sql_file); $i++) {
		$sql_file[$i] = trim($sql_file[$i]);
		if (($dbtype == 'fbird') or ($dbtype == 'ibase')) {
			$sql_file[$i] .= ';';
		}
		sql_query($sql_file[$i], $db_id);
	}
	$_SESSION['sql_success'] = TRUE;
}

Header('Location:  ../admin.php');
die();


?>