<?php
/**
 * Contains the English-specific constants used in FreeWPS in the core scripts and
 * modules for labels on the various form fields, buttons, headings, etc.
 * @package Core-Scripts
 */
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +------------------------------------------------------+
// | LANG-FREEWPS.PHP                                     |
// +------------------------------------------------------+
// | Copyright (c) 2003-2004 YTZ Technical Services, LLC. |
// +------------------------------------------------------+
// | LANG-FREEWPS.PHP is part of FreeWPS.                 |
// |                                                      |
// | FreeWPS was built using the FreeWPS Software         |
// | Development Kit (SDK), version 2.0.  Free Web        |
// | Publishing System[tm] and FreeWPS[tm] are both       |
// | trademarks of YTZ Technical Services, LLC.           |
// |                                                      |
// | FreeWPS is free software; you can redistribute       |
// | it and/or modify it under the terms of the GNU       |
// | General Public License as published by the Free      |
// | Software Foundation; either version 2 of the         |
// | License, or (at your option) any later version.      |
// |                                                      |
// | FreeWPS is distributed in the hope that it will      |
// | be useful, but WITHOUT ANY WARRANTY; without even    |
// | the implied warranty of MERCHANTABILITY or           |
// | FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       |
// | General Public License (included as COPYING.txt)     |
// | for more details.                                    |
// |                                                      |
// | You should have received a copy of the GNU General   |
// | Public License along with FreeWPS. If you did        |
// | not, you may download a copy at:                     |
// |                                                      |
// | URL:  http://www.fsf.org/licenses/gpl.txt            |
// |                                                      |
// | You may also request a copy from:                    |
// |                                                      |
// | Free Software Foundation, Inc.                       |
// | 59 Temple Place, Suite 330                           |
// | Boston, MA 02111-1307                                |
// | USA                                                  |
// +------------------------------------------------------+
// | Author: Justin White <jwhite@ytztech.com>            |
// +------------------------------------------------------+
//
// $Id: lang-freewps.php,v 1.5 2004/08/15 05:49:27 ytztech Exp $
//

// The available list of constants can be customized to suit the purposes of your
// particular website.  However, be aware that these values can and will be updated
// when FreeWPS is updated.  Also, be sure to only make changes to the second
// parameter of the define.

/**#@+
 * @access private
 * @ignore
 */
define('_ACCESSDENIED', 'Access Denied');
define('_CANCEL', 'Cancel');
define('_OK', 'OK');
define('_NAVIGATIONERROR', 'Choose an action from the Navigation Menu.');
define('_NAVIGATIONMENU', 'Navigation Menu');
define('_BACK2ADMIN', 'Back to Administration Panel');
define('_RECORDLOCKED', 'Record Locked');
define('_ERRORRECORDLOCKED', 'The record that you requested to access has been locked by another user on the system.');
define('_PLEASEWAIT', 'Please wait at least <!--TIMEOUT--> seconds to allow the other user enough time to complete his/her changes:');
define('_MODULECOLON', 'Module:');
define('_OBJECTCOLON', 'Object:');
define('_USERNAMECOLON', 'Username:');
define('_PASSWORDCOLON', 'Password:');
define('_TIMELOCKEDCOLON', 'Time (Locked):');
define('_TIMECURRENTCOLON', 'Time (Current):');
define('_ERROR3ATTEMPTS2', 'The user account has been disabled until reviewed by an account administrator.');
define('_ERRORBADATTEMPT1', 'An unsuccessful attempt was made to login as [<!--USERNAME-->].&nbsp; The client entered an invalid combination of username and password.');
define('_ERRORBADATTEMPT2', 'An unsuccessful attempt was made to login with an unknown username.');
define('_ERRORTIMELIMIT1', 'The time limit for logging in expired while [<!--USERNAME-->]  was trying to login.');
define('_ERRORTIMELIMIT2', 'The time limit on idle sessions expired for [<!--USERNAME-->].');
define('_ERRORTIMELIMIT3', 'The time limit for logging in expired while an unknown user was trying to login.');
define('_ERRORBADHASH', 'An unsuccessful attempt was made to login as [<!--USERNAME-->] when the [HASHINGSEED] WAS INVALID!');
define('_ERRORBADATTEMPT3', 'An unsuccessful attempt was made to login with an unknown username and the [HASHINGSEED] WAS INVALID!');
define('_ERRORINCIDENTIP', 'This incident originated from address [<!--REMOTE_ADDR-->].');
define('_ERRORFORWARDEDBY', 'The client was behind a firewall/proxy server and [<!--REMOTE_ADDR-->] was forwarding requests for IP address [<!--FORWARDED_FOR-->].');
define('_ERRORBROWSER1', 'The client browser identification was [<!--USER_AGENT-->].');
define('_ERRORBROWSER2', 'The client browser did not send identification information (ie. server variable HTTP_USER_AGENT) was empty.');
define('_THEADMINPANEL', 'the Administration Panel');
define('_ADMINPANEL', 'Administration Panel');
define('_WARNINGCOLON', 'WARNING:');
define('_WARNDELETEINSTALL', 'Remember to delete the INSTALL directory for security reasons.');
define('_UPGRADESUCCESS', 'The FreeWPS&#8482; upgrade was successful!');
define('_UPGRADESQLFAIL', 'The Configuration upgrade was successful!&nbsp; The SQL upgrade failed.  See the INSTALL.TXT instructions for details on manually upgrading your SQL tables.');
define('_UPGRADECONFIGFAIL', 'The SQL upgrade was successful!&nbsp; The Configuration upgrade failed.&nbsp; See the INSTALL.TXT instructions for details on manually upgrading your CONFIG.PHP script.');
define('_UPGRADEFAIL', 'Both the Configuration and SQL upgrades failed.&nbsp; See the INSTALL.TXT instructions for details on manually upgrading your CONFIG.PHP script and SQL tables.');
define('_ERRORLOGINTIME', 'Login Time Expired (<!--TIMEOUT--> seconds max).<br />Please login again.');
define('_ERRORLOGINWRONG', 'Login Incorrect.<br />Please login again.');
define('_ERRORINTRUSION', 'Intrusion Detected');
define('_ERRORSESSIONEXPIRED', 'User Session Expired (<!--TIMEOUT--> seconds max).<br />Please login again.');
define('_LOGIN', 'Login');
define('_ERRORTYPEUSERNAME', 'Please type your username.');
define('_ERRORTYPEPASSWORD', 'Please type your password.');
define('_USERLOGINCOLON', 'User Login Validation:');
define('_ERRORVALIDSEARCH', 'Please type a valid set of search terms.');
define('_ERRORNOSEARCHRESULTS', 'No search results could be determined from your search string:');
define('_REASONCOLON', 'Reason:');
define('_ERRORNOVALIDKEYWORDS', 'No valid keywords found.');
define('_REVISESEARCH', 'Please revise your search and try again.&nbsp; Minimum search term length is 3 characters.');
define('_SEARCHCOLON', 'Search:');
define('_GOSEARCH', 'Go!');
define('_SEARCHRESULTS', 'Search Results');
define('_SEARCHRESULTSFOR', 'Search Results for:');
define('_SEARCHRETURNED', 'Results returned:');
define('_SEARCHTOTALHITS', 'total hits found:');
define('_DISPLAYNEXT', 'Display results for next:');
define('_NEXT', 'NEXT');
define('_SEARCHNOTE', 'NOTE:&nbsp; Enter your search terms separated by spaces.');
define('_SEARCH', 'Search');
define('_ERRORACCESSDENIED', 'You have attempted to access this page without the appropriate authorization.  You must have a valid username and password to access this feature.');
define('_ERROR404', 'Error 404 - Page Not Found');
define('_ALLPAGES', 'All Pages');
define('_LINKMANAGER', 'Link Manager');
define('_MEMBERINFO', 'Member Info');
define('_LOGGEDINAS', 'Logged in as:');
define('_LOGOUT', 'Logout');
define('_ONLINEEDITOR', 'Online Web Editor');
define('_USEWEBEDITOR', 'Use Web Editor');
define('_YES', 'Yes');
define('_NO', 'No');
define('_LEGENDCOLON', 'Legend:');
define('_PRINTVERSION', 'Printer-friendly Version');
define('_EDITPAGE', 'Edit Page');
define('_EDITSECTION', 'Edit Section');
define('_LASTUPDATED', 'Last updated on');
define('_DOWNLOADCLICK', 'Click to Download');
define('_ERRORLOGININCORRECT', 'Login Incorrect');
define('_ERRORLOGINTIMEOUT', 'Login Time Expired');
define('_CHARSET','iso-8859-1');
define('_INSERTLINK', 'Insert Hyperlink');
define('_INSERTMANUAL', 'Manual Entry');
define('_CHOOSELINK', 'Choose a Link');
define('_CHOOSELINKERROR', 'You must choose a link before inserting it into your page.');
define('_PAGESCOLON', 'Pages:');
define('_HOMEPAGE', 'Home Page');
define('_DEFAULT', 'Default');
define('_PROPERTIES', 'Properties');
define('_SETTINGS', 'Settings');
define('_DELETE', 'Delete');
define('_MODNAME', 'Module Name');
define('_MODTITLE', 'Module Title');
define('_CLICKTOEDIT', 'Click to Edit');
define('_PREVIEWCOLON', 'Preview:');
define('_URLCOLON', 'URL:');
define('_URLTEXTCOLON', 'Link Text:');
define('_TITLETOOLTIPCOLON', 'Title (tooltip):');
define('_TARGETCOLON', 'Target:');
define('_NONEIMPLICIT', 'None (use implicit)');
define('_BLANKFRAME', 'New window (_blank)');
define('_PARENTFRAME', 'Parent frame (_parent)');
define('_SAMEFRAME', 'Same frame (_self)');
define('_TOPFRAME', 'Top frame (_top)');
define('_PAGELINK', 'Top Level');
define('_UP', 'Up');
define('_DOWN', 'Down');
define('_RELATEDLINKS', 'Related Links');
define('_METAEDITOR', 'META Editor');
define('_AVAILABLETAGS', 'Available Tags:');
define('_CONTENTCOLON', 'Content:');
/**#@-*/

?>