<?php
/**
 * Contains the English-specific constants used in the PAGES.PHP module
 * for labels on the various form fields, buttons, headings, etc.
 * @package Core-Scripts
 */
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +------------------------------------------------------+
// | LANG-PAGES.PHP                                       |
// +------------------------------------------------------+
// | Copyright (c) 2003-2004 YTZ Technical Services, LLC. |
// +------------------------------------------------------+
// | LANG-PAGES.PHP is part of FreeWPS.                   |
// |                                                      |
// | FreeWPS was built using the FreeWPS Software         |
// | Development Kit (SDK), version 2.0.  Free Web        |
// | Publishing System[tm] and FreeWPS[tm] are both       |
// | trademarks of YTZ Technical Services, LLC.           |
// |                                                      |
// | FreeWPS is free software; you can redistribute       |
// | it and/or modify it under the terms of the GNU       |
// | General Public License as published by the Free      |
// | Software Foundation; either version 2 of the         |
// | License, or (at your option) any later version.      |
// |                                                      |
// | FreeWPS is distributed in the hope that it will      |
// | be useful, but WITHOUT ANY WARRANTY; without even    |
// | the implied warranty of MERCHANTABILITY or           |
// | FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       |
// | General Public License (included as COPYING.txt)     |
// | for more details.                                    |
// |                                                      |
// | You should have received a copy of the GNU General   |
// | Public License along with FreeWPS. If you did        |
// | not, you may download a copy at:                     |
// |                                                      |
// | URL:  http://www.fsf.org/licenses/gpl.txt            |
// |                                                      |
// | You may also request a copy from:                    |
// |                                                      |
// | Free Software Foundation, Inc.                       |
// | 59 Temple Place, Suite 330                           |
// | Boston, MA 02111-1307                                |
// | USA                                                  |
// +------------------------------------------------------+
// | Author: Justin White <jwhite@ytztech.com>            |
// +------------------------------------------------------+
//
// $Id: lang-pages.php,v 1.6 2004/08/16 04:04:02 ytztech Exp $
//

// The available list of constants can be customized to suit the purposes of your
// particular website.  However, be aware that these values can and will be updated
// when the PAGES.PHP module is updated.  Also, be sure to only make changes to the
// second parameter of the define.

/**#@+
 * @access private
 * @ignore
 */
define('_PAGES_TITLE', 'Pages Administration');
define('_PAGES001', 'Add New Content');
define('_PAGES002', 'Edit Page Contents');
define('_PAGES003', 'Manage Page Categories');
define('_PAGES004', 'Edit Content Section');
define('_PAGES005', 'Edit Page Template');
define('_PAGES006', 'Edit Page Ownership');
define('_PAGES007', 'Please fill in a title for your content.');
define('_PAGES008', 'Activate');
define('_PAGES009', 'Deactivate');
define('_PAGES010', 'Title');
define('_PAGES011', 'You did not specify any page owners.');

// The "\n" must be placed at approximately 40 characters from the beginning of the
// string.  If the string is less than 40, do not include the "\n".
define('_PAGES012', 'Are you sure you want to let the system\nown the page?');

define('_PAGES013', 'Show Page Date');
define('_PAGES014', 'Show Page Title');
define('_PAGES015', 'Show Printer-friendly Link');
define('_PAGES016', 'Are you sure you want to delete this section?');
define('_PAGES017', 'Hide Printer-friendly Link');
define('_PAGES018', 'Delete Section');
define('_PAGES019', 'Back to Pages Administration');
define('_PAGES020', 'Actions');
define('_PAGES021', 'Date Updated');
define('_PAGES022', 'Precedence');
define('_PAGES023', 'Accessible to All Groups');
define('_PAGES024', 'No content sections currently exist for this page.');
define('_PAGES025', 'Close Window');
define('_PAGES026', 'Add Page Owner');
define('_PAGES027', 'Select a Username');
define('_PAGES028', 'Add Owner');
define('_PAGES029', 'There are no available users to add as a page owner.');
define('_PAGES030', 'Content Sections for');
define('_PAGES031', 'Edit Section Title');
define('_PAGES032', 'Delete Owner');
define('_PAGES033', 'Show Section Date');
define('_PAGES034', 'Current Owners');
define('_PAGES035', 'Hide Section Date');
define('_PAGES036', 'Save Changes');
define('_PAGES037', 'Are you sure you want to delete this page?');
define('_PAGES038', 'Page Template');
define('_PAGES039', 'Show Section Title');
define('_PAGES040', 'Edit Page Title');
define('_PAGES041', 'Hide Page Date');
define('_PAGES042', 'Hide Page Title');
define('_PAGES043', 'Edit Page Accessibility');
define('_PAGES044', 'Groups');
define('_PAGES045', 'Categories');
define('_PAGES046', 'No Page Category');
define('_PAGES047', 'Pages - Disabled');
define('_PAGES048', 'Pages - Unapproved');
define('_PAGES049', 'Unapproved');
define('_PAGES050', 'Disabled');
define('_PAGES051', 'Delete Page');
define('_PAGES052', 'Enter a new category name.');
define('_PAGES053', 'New Category Name');
define('_PAGES054', 'You must enter a valid Category name.  &quot;Category Add&quot; aborted.');
define('_PAGES055', 'Click OK when completed editing.');
define('_PAGES056', 'You must enter a valid Category name.  &quot;Category Edit&quot; aborted.');

//  The code "\'+selCategory+\'" must remain intact to ensure error-free operation.
define('_PAGES057', 'Are you sure you want to delete "\'+selCategory+\'"?');

define('_PAGES058', 'Add New Category');
define('_PAGES059', 'Change Page Category');
define('_PAGES060', 'Uncategorized Pages');
define('_PAGES061', 'Page Categories');
define('_PAGES062', 'Edit This Category');
define('_PAGES063', 'Delete This Category');
define('_PAGES064', 'No page categories currently exist.');
define('_PAGES065', 'Enter a new page name.');
define('_PAGES066', 'New Page Name');
define('_PAGES067', 'Hide Section Title');
define('_PAGES068', 'Add New Page');
define('_PAGES069', 'New Section Title');
define('_PAGES070', 'No pages exist in this category.');
define('_PAGES071', 'To add a new content section, click the &quot;Add New Content&quot; button above.');
define('_PAGES072', 'To add a new page, select &quot;Add New Page&quot; from the &quot;Navigation Menu&quot; above.');
define('_PAGES073', 'Set Template for Category');
define('_PAGES074', 'Page Name');
define('_PAGES075', 'Edit Page Name');
define('_PAGES076', 'That name is already in use.&nbsp; Please try again.');
define('_PAGES077', 'Section Name');
define('_PAGES078', 'Edit Section Name');
define('_PAGES079', 'Are you sure you want to delete this link?');
define('_PAGES080', 'Edit Related Links');
define('_PAGES081', 'Add Related Link');
define('_PAGES082', 'Link Text');
define('_PAGES083', 'URL');
define('_PAGES084', 'Edit Link Properties');
define('_PAGES085', 'Delete Link');
define('_PAGES086', 'No related links currently exist for this page.');
define('_PAGES087', 'To add a new related link, click the &quot;Add Related Link&quot; button above.');
define('_PAGES088', 'Language:');
define('_PAGES089', 'Edit Content Languages');
define('_PAGES090', 'Please provide the ISO 639 language code to add:');
define('_PAGES091', 'New Language');
define('_PAGES092', 'Language Code');
define('_PAGES093', 'Language Name');
define('_PAGES094', 'Character Set');
define('_PAGES095', 'Edit Language Code');
define('_PAGES096', 'Edit Language Name');
define('_PAGES097', 'Edit Character Set');
define('_PAGES098', 'Add New Language');
define('_PAGES099', 'Delete Language');
define('_PAGES100', 'Deleting this language will remove all content as well.  Are you sure you want to proceed?');
define('_PAGES101', 'For information on which codes to use when adding a content language, please follow the guidelines of <a href="http://www.loc.gov/standards/iso639-2/langcodes.html" target="_blank">ISO 639</a>, as published by the Library of Congress in its &quot;<a href="http://www.loc.gov/standards/iso639-2/langcodes.html" target="_blank">Codes for the representation of names of languages</a>&quot; list.');
define('_PAGES102', 'Edit Localized Page Title');
define('_PAGES103', 'Edit Page META Tags');
define('_PAGES104', 'Are you sure you want to delete this META tag?');
define('_PAGES105', 'Edit Tag Properties');
define('_PAGES106', 'Tag Name');
define('_PAGES107', 'Tag Content');
define('_PAGES108', 'Delete META Tag');
define('_PAGES109', 'No META Tags current exist for this page.');
define('_PAGES110', 'Add META Tag');
define('_PAGES111', 'To add a new META tag, click the &quot;Add META Tag&quot; button above.');
/**#@-*/

?>