<?php
/**
 * Return Array of Group Associations for BLOCKS.PHP
 * Returns an array of which tables store group associations for any custom
 * permissions and which field names to update after deleting a group.
 * @package Core-Modules
 */
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +------------------------------------------------------+
// | GETGROUPS.PHP                                        |
// +------------------------------------------------------+
// | Copyright (c) 2004 Copyright Holder                  |
// +------------------------------------------------------+
// | GETGROUPS.PHP is part of FreeWPS.                    |
// |                                                      |
// | FreeWPS was built using the FreeWPS Software         |
// | Development Kit (SDK), version 2.0.  Free Web        |
// | Publishing System[tm] and FreeWPS[tm] are both       |
// | trademarks of YTZ Technical Services, LLC.           |
// |                                                      |
// | FreeWPS is free software; you can redistribute       |
// | it and/or modify it under the terms of the GNU       |
// | General Public License as published by the Free      |
// | Software Foundation; either version 2 of the         |
// | License, or (at your option) any later version.      |
// |                                                      |
// | FreeWPS is distributed in the hope that it will      |
// | be useful, but WITHOUT ANY WARRANTY; without even    |
// | the implied warranty of MERCHANTABILITY or           |
// | FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       |
// | General Public License (included as COPYING.txt)     |
// | for more details.                                    |
// |                                                      |
// | You should have received a copy of the GNU General   |
// | Public License along with FreeWPS. If you did        |
// | not, you may download a copy at:                     |
// |                                                      |
// | URL:  http://www.fsf.org/licenses/gpl.txt            |
// |                                                      |
// | You may also request a copy from:                    |
// |                                                      |
// | Free Software Foundation, Inc.                       |
// | 59 Temple Place, Suite 330                           |
// | Boston, MA 02111-1307                                |
// | USA                                                  |
// +------------------------------------------------------+
// | Author: Firstname Lastname <name@domain.com>         |
// +------------------------------------------------------+
//
// $Id: getgroups.php,v 1.2 2004/03/31 05:34:31 ytztech Exp $
//

if (stristr($_SERVER['PHP_SELF'],'getgroups.php')) {
	// To make sure no one calls this script directly, this conditional ensures
	// that the client browser is redirected to the Home Page if this script's
	// filename is found in $_SERVER['PHP_SELF'].
	Header('Location: ../../index.php');
	die();
}


/**
 * Return an array of arrays containing group association information.
 *
 * @access public
 * @return array Multiple arrays containing group associations
 */
function blocks_getGroups()
{
	// Return the list of tables storing group associations.
	return array(0 => array('TABLE' => $GLOBALS['dbpref'].'_GRPBLOCKS',
							'FIELD' => 'BLOCKID'));
}

?>