<?php
/**
 * Popup Window for Inserting Hyperlinks
 * Provides a popup window for setting the various anchor properties of the related
 * links attached to a particular page.
 * @package Core-Libraries
 */
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +------------------------------------------------------+
// | INSERT_LINK.PHP                                      |
// +------------------------------------------------------+
// | Copyright (c) 2003-2004 YTZ Technical Services, LLC. |
// +------------------------------------------------------+
// | INSERT_LINK.PHP is part of FreeWPS.                  |
// |                                                      |
// | FreeWPS was built using the FreeWPS Software         |
// | Development Kit (SDK), version 2.0.  Free Web        |
// | Publishing System[tm] and FreeWPS[tm] are both       |
// | trademarks of YTZ Technical Services, LLC.           |
// |                                                      |
// | FreeWPS is free software; you can redistribute       |
// | it and/or modify it under the terms of the GNU       |
// | General Public License as published by the Free      |
// | Software Foundation; either version 2 of the         |
// | License, or (at your option) any later version.      |
// |                                                      |
// | FreeWPS is distributed in the hope that it will      |
// | be useful, but WITHOUT ANY WARRANTY; without even    |
// | the implied warranty of MERCHANTABILITY or           |
// | FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       |
// | General Public License (included as COPYING.txt)     |
// | for more details.                                    |
// |                                                      |
// | You should have received a copy of the GNU General   |
// | Public License along with FreeWPS. If you did        |
// | not, you may download a copy at:                     |
// |                                                      |
// | URL:  http://www.fsf.org/licenses/gpl.txt            |
// |                                                      |
// | You may also request a copy from:                    |
// |                                                      |
// | Free Software Foundation, Inc.                       |
// | 59 Temple Place, Suite 330                           |
// | Boston, MA 02111-1307                                |
// | USA                                                  |
// +------------------------------------------------------+
// | Author: Justin White <jwhite@ytztech.com>            |
// +------------------------------------------------------+
//
// $Id: insert_link.php,v 1.2 2005/05/29 15:23:11 ytztech Exp $
//

include_once '../../includes/functions.php';	// Includes global functions.

/****	REQUEST PROCESSING SECTION BEGINS HERE	****/

//	Determine whether the user has sufficient rights to access this module.
//	These global variables ($is_author,$GLOBALS['is_editor']) are reused throughout
//	the module to present different views to each user.

$is_author	= core_checkUser(CONTENT_AUTHORS);
$is_editor	= core_checkUser(CONTENT_EDITORS);

if (!$is_author && !$is_editor) {			//	If user is not authorized...
	die();									//	End this script.
}	//	End of if..else;

$url_path	= str_replace('modules/pages/','',$url_path);

if ($_GET['linkid'] != 0) {
	$lnkresults	= sql_query('SELECT LINKURL,LINKTEXT,LINKTITLE,LINKTARGET'.
							' FROM '.$dbpref.'_PAGELINKS'.
							' WHERE ID = '.$_GET['linkid'],$db_id);
	$linkrow	= sql_fetch_row($lnkresults);
	$modetype	= 'edit';
} else {
	$linkrow[0]	= '';
	$linkrow[1]	= '';
	$linkrow[2]	= '';
	$linkrow[3]	= '';
	$modetype	= 'add';
}

//	Set the HTML for the "Insert Link" popup window.

?>
<html>
<head>
	<title><?php echo _LINKMANAGER; ?></title>
	<script type="text/javascript" src="../../includes/treemenu.js"></script>
	<script type="text/javascript" src="../../includes/functions.js"></script>
	<script type="text/javascript">
	<!--
		window.resizeTo(580, 380);

		function saveChange(form)
		{
			var oform = window.opener.dialogArguments;
			oform.mode.value = '<?php echo $modetype; ?>related';
			oform.link_url.value = form.linkurl.value;
			oform.link_text.value = form.linktext.value;
			oform.link_title.value = form.linktitle.value;
			oform.link_target.value = form.linktarget.value;
			oform.linkid.value = <?php echo $_GET['linkid']; ?>;
			oform.submit();
			window.close();
		}
	//-->
	</script>
	<style type="text/css">
		html, body, form {
			background: ButtonFace;
			color: ButtonText;
			font: 11px Tahoma,Verdana,sans-serif;
			margin: 0px;
			padding: 0px;
			overflow: hidden;
		}
		table {
			font: 11px Tahoma,Verdana,sans-serif;
		}
		select, input, button { font: 11px Tahoma,Verdana,sans-serif; }
		table .label { text-align: right; width: 8em; }
		button { width: 70x; }

		.title { background: #ddf; color: #000; font-weight: bold;
			font-size: 120%; padding: 3px 10px; margin-bottom: 10px;
		border-bottom: 1px solid black; letter-spacing: 2px;
		}

		#buttons {
			margin-top: 1em; border-top: 1px solid #999;
			padding: 2px; text-align: right;
		}
	</style>
</head>
<body>
<form id="myform" name="myform" method="get" action="modules.php">
<div class="title"><?php echo _LINKMANAGER; ?></div>
<table border="0" style="width: 100%;">
	<tr>
		<td width="33%"><?php echo _PAGESCOLON; ?><br /><iframe id="wpspagelist" name="wpspagelist" style="width: 100%; background-color: white;">&nbsp;</iframe></td>
		<td width="67%"><?php echo _PREVIEWCOLON; ?><br /><iframe id="wpspreview" name="wpspreview" style="width: 100%; background-color: white;">&nbsp;</iframe></td>
	</tr>
</table>
<table border="0" style="width: 100%;">
	<tr>
		<td class="label"><?php echo _URLCOLON; ?></td>
		<td><input type="text" id="linkurl" name="linkurl" style="width: 100%" value="<?php echo $linkrow[0]; ?>" /></td>
	</tr>
	<tr>
		<td class="label"><?php echo _URLTEXTCOLON; ?></td>
		<td><input type="text" id="linktext" name="linktext" style="width: 100%" value="<?php echo str_replace('&','&amp;',$linkrow[1]); ?>" /></td>
	</tr>
	<tr>
		<td class="label"><?php echo _TITLETOOLTIPCOLON; ?></td>
		<td><input type="text" id="linktitle" name="linktitle" style="width: 100%" value="<?php echo str_replace('&','&amp;',$linkrow[2]); ?>" /></td>
	</tr>
	<tr>
		<td class="label"><?php echo _TARGETCOLON; ?></td>
		<td><select id="linktarget" name="linktarget">
			<option value=""><?php echo _NONEIMPLICIT; ?></option>
<?php

echo '			<option value="_blank"';
if ($linkrow[3] == '_blank') {
	echo ' selected="selected"';
}
echo '>'._BLANKFRAME.'</option>
			<option value="_parent"';
if ($linkrow[3] == '_parent') {
	echo ' selected="selected"';
}
echo '>'._PARENTFRAME.'</option>
			<option value="_self"';
if ($linkrow[3] == '_self') {
	echo ' selected="selected"';
}
echo '>'._SAMEFRAME.'</option>
			<option value="_top"';
if ($linkrow[3] == '_top') {
	echo ' selected="selected"';
}
echo '>'._TOPFRAME.'</option>';

?>

		</select>
		</td>
	</tr>
</table>
<div id="buttons">
	<button type="submit" id="ok" name="ok" onclick="saveChange(this.form)">&nbsp;<?php echo _OK; ?>&nbsp;</button>
	<button type="button" id="cancel" name="cancel" onclick="self.close();">&nbsp;<?php echo _CANCEL; ?>&nbsp;</button>
</div>
</form>
<script type="text/javascript">
<!--
	document.getElementById("linkurl").focus();
	document.getElementById("linkurl").select();

	var m = new treeMenu();
	var d = window.frames["wpspagelist"].document;

	d.open();
	d.writeln("<html>");
	d.writeln("<head>");
	d.writeln("<style type=\"text/css\">");
	d.writeln("  a { color: black; text-decoration: none; }");
	d.writeln("  body { margin:3px; font-family: Tahoma, Arial, Helvetica, sans-serif; font-weight: normal; font-size: 12px; color: black; }");
	d.writeln("  img { border: none; margin: 0px 3px; padding: 0px; }");
	d.writeln("  .folder { display: block; cursor: pointer; cursor: hand; margin: 0px; font-weight: bold; font-size: 12px;  }");
	d.writeln("  .item { display: none; margin: 0px; margin-left: 8px; }");
	d.writeln("</style>");
	d.writeln("<script type=\"text/javascript\" src=\"../../includes/treemenu.js\"></script>");
	d.writeln("</head>");
	d.writeln("<body>");
	d.writeln("<div style=\"display: block; margin: 0px; font-weight: bold; font-size: 12px;\"><img src=\"opened.png\" alt=\"\" /><?php echo _ALLPAGES; ?></div>");
	d.writeln("<div id=\"menus\" style=\"display: block; margin: 0px; margin-left: 8px;\">Placeholder</div>");
	d.writeln("<script type=\"text/javascript\">");
	d.writeln("  function replacelink(linkid,linktitle) {");
	d.writeln("    var form = parent.document.getElementById(\"myform\");");
	d.writeln("    if (linkid == 1) {");
	d.writeln("      form.linkurl.value = \"index.php\";");
	d.writeln("    }");
	d.writeln("    else {");
	d.writeln("      form.linkurl.value = linkid;");
	d.writeln("    }");
	d.writeln("    form.linktitle.value = linktitle;");
	d.writeln("    parent.window.wpspreview.location.replace(form.linkurl.value);");
	d.writeln("  }");
	d.writeln("  var m = parent.m;");
	d.writeln("  m.html = \"\";");
	d.writeln("  m.currentDoc = document;");
	d.writeln("  var toggle = m.toggle;");
<?php

$notequal	= sql_operator('notequal');
$currentcat	= '';

$results = sql_query('SELECT '.$dbpref.'_PAGES.ID, '.
							   $dbpref.'_PAGES.TITLE, '.
							   $dbpref.'_PAGECATS.CATNAME'.
					 ' FROM '.$dbpref.'_PAGES, '.$dbpref.'_PAGECATS'.
					 ' WHERE ('.$dbpref.'_PAGES.ID > 0)'.
						' AND ('.$dbpref.'_PAGES.CATID >= 0)'.
						' AND ('.$dbpref.'_PAGES.CATID = '.$dbpref.'_PAGECATS.ID)'.
					 ' ORDER BY CATNAME,TITLE',$db_id);

while ($row = sql_fetch_row($results)) {
	if ($currentcat != $row[2]) {
		if ($currentcat != '') {
			echo '	d.writeln("  m.endFolder();");'."\r\n";
		}
		$currentcat = $row[2];
		echo '	d.writeln("  m.addFolder(\"'.$row[2].'\");");'."\r\n";
	}
	$title		= core_convertQuotes(stripslashes($row[1]),'revert');
	$query_pt1	= 'SELECT ID,TITLE,SECTNAME FROM ';
	$query_pt2	= $dbpref.'_CONTENT WHERE PAGEID = '.$row[0];
	$query_pt3	= ' ORDER BY TITLE';
	$secresults	= sql_query($query_pt1.$query_pt2.$query_pt3,$db_id);
	$link		= $url_path.core_getLinkFormat($row[0]);
	if (sql_num_rows($secresults,$query_pt2) > 1) {
		echo '	d.writeln("  m.addFolder(\"'.$title.'\",\"sections.png\",m.imgOpened);");'."\r\n";
		echo '	d.writeln("  m.addItem(\"- '._PAGELINK.' -\", \"javascript:replacelink(\''.$link.'\',\''.htmlspecialchars($title).'\');\");");'."\r\n";
		while ($secrow = sql_fetch_row($secresults)) {
			$sectitle = core_convertQuotes(stripslashes($secrow[1]),'revert');
			$secname = ($secrow[2] == '') ? 'section'.$secrow[0] : $secrow[2];
			echo '	d.writeln("  m.addItem(\"'.$sectitle.'\", \"javascript:replacelink(\''.$link.'#'.$secname.'\',\''.htmlspecialchars($sectitle).'\');\");");'."\r\n";
		}
		echo '	d.writeln("  m.endFolder();");'."\r\n";
	} else {
		echo '	d.writeln("  m.addItem(\"'.$title.'\", \"javascript:replacelink(\''.$link.'\',\''.htmlspecialchars($title).'\');\");");'."\r\n";
	}
	sql_free_result($secresults);
}

$results2 = sql_query('SELECT ID,TITLE FROM '.$dbpref.'_PAGES'.
					  ' WHERE ('.$dbpref.'_PAGES.ID > 0)'.
						' AND ('.$dbpref.'_PAGES.CATID = 0)'.
					  ' ORDER BY TITLE',$db_id);

while ($row = sql_fetch_row($results2)) {
	if ($currentcat != 'All Pages') {
		if ($currentcat != '') {
			echo '	d.writeln("  m.endFolder();");'."\r\n";
		}
		$currentcat = 'All Pages';
	}
	$title	= core_convertQuotes(stripslashes($row[1]),'revert');
	$query_pt1	= 'SELECT ID,TITLE,SECTNAME FROM ';
	$query_pt2	= $dbpref.'_CONTENT WHERE PAGEID = '.$row[0];
	$query_pt3	= ' ORDER BY TITLE';
	$secresults	= sql_query($query_pt1.$query_pt2.$query_pt3,$db_id);
	$link		= $url_path.core_getLinkFormat($row[0]);
	if (sql_num_rows($secresults,$query_pt2) > 1) {
		echo '	d.writeln("  m.addFolder(\"'.$title.'\",\"sections.png\",m.imgOpened);");'."\r\n";
		echo '	d.writeln("  m.addItem(\"- '._PAGELINK.' -\", \"javascript:replacelink(\''.$link.'\',\''.htmlspecialchars($title).'\');\");");'."\r\n";
		while ($secrow = sql_fetch_row($secresults)) {
			$sectitle = core_convertQuotes(stripslashes($secrow[1]),'revert');
			$secname = ($secrow[2] == '') ? 'section'.$secrow[0] : $secrow[2];
			echo '	d.writeln("  m.addItem(\"'.$sectitle.'\", \"javascript:replacelink(\''.$link.'#'.$secname.'\',\''.htmlspecialchars($sectitle).'\');\");");'."\r\n";
		}
		echo '	d.writeln("  m.endFolder();");'."\r\n";
	} else {
		echo '	d.writeln("  m.addItem(\"'.$title.'\", \"javascript:replacelink(\''.$link.'\',\''.htmlspecialchars($title).'\');\");");'."\r\n";
	}
	sql_free_result($secresults);
}

?>
	d.writeln("  document.getElementById('menus').innerHTML = m.html;");
	d.writeln("</script>");
	d.writeln("</body>");
	d.writeln("</html>");
	d.close();

//-->
</script>
<script type="text/javascript" defer="defer">
<!--
	centerPopupWin();
//-->
</script>
</body>
</html>