<?php
/**
 * Popup Window for Editing META Tags
 * Provides a popup window for setting the various properties of a META tag
 * @package Core-Libraries
 */
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +------------------------------------------------------+
// | METAEDIT.PHP                                         |
// +------------------------------------------------------+
// | Copyright (c) 2003-2004 YTZ Technical Services, LLC. |
// +------------------------------------------------------+
// | METAEDIT.PHP is part of FreeWPS.                     |
// |                                                      |
// | FreeWPS was built using the FreeWPS Software         |
// | Development Kit (SDK), version 2.0.  Free Web        |
// | Publishing System[tm] and FreeWPS[tm] are both       |
// | trademarks of YTZ Technical Services, LLC.           |
// |                                                      |
// | FreeWPS is free software; you can redistribute       |
// | it and/or modify it under the terms of the GNU       |
// | General Public License as published by the Free      |
// | Software Foundation; either version 2 of the         |
// | License, or (at your option) any later version.      |
// |                                                      |
// | FreeWPS is distributed in the hope that it will      |
// | be useful, but WITHOUT ANY WARRANTY; without even    |
// | the implied warranty of MERCHANTABILITY or           |
// | FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       |
// | General Public License (included as COPYING.txt)     |
// | for more details.                                    |
// |                                                      |
// | You should have received a copy of the GNU General   |
// | Public License along with FreeWPS. If you did        |
// | not, you may download a copy at:                     |
// |                                                      |
// | URL:  http://www.fsf.org/licenses/gpl.txt            |
// |                                                      |
// | You may also request a copy from:                    |
// |                                                      |
// | Free Software Foundation, Inc.                       |
// | 59 Temple Place, Suite 330                           |
// | Boston, MA 02111-1307                                |
// | USA                                                  |
// +------------------------------------------------------+
// | Author: Justin White <jwhite@ytztech.com>            |
// +------------------------------------------------------+
//
// $Id: metaedit.php,v 1.1 2004/08/15 05:39:52 ytztech Exp $
//

include_once '../../includes/functions.php';	// Includes global functions.

/****	REQUEST PROCESSING SECTION BEGINS HERE	****/

//	Determine whether the user has sufficient rights to access this module.
//	These global variables ($is_author,$GLOBALS['is_editor']) are reused throughout
//	the module to present different views to each user.

$is_editor	= core_checkUser(CONTENT_EDITORS);

if (!$is_editor) {			//	If user is not authorized...
	die();					//	End this script.
}	//	End of if..else;

$url_path	= str_replace('modules/pages/','',$url_path);

// Determine whether to edit an existing tag or create a new one.
if ($_GET['tagid'] != 0) {
	$tagresults	= sql_query('SELECT TAGTYPE,TAGNAME,TAGCONTENT'.
							' FROM '.$dbpref.'_PAGETAGS'.
							' WHERE ID = '.$_GET['tagid'],$db_id);
	$tagrow		= sql_fetch_row($tagresults);
	$modetype	= 'edit';
} else {
	$tagrow[0]	= '';
	$tagrow[1]	= '';
	$tagrow[2]	= '';
	$modetype	= 'add';
}

// Get the list of already used tags.
$usedtags = '';
$query_pt1	= 'SELECT TAGNAME FROM ';
$query_pt2	= $dbpref.'_PAGETAGS WHERE PAGEID = '.$_GET['pageid'].
			  ' AND ID != '.$_GET['tagid'];
$lstresults	= sql_query($query_pt1.$query_pt2,$db_id);
if (sql_num_rows($lstresults,$query_pt2) > 0) {
	while ($row = sql_fetch_row($lstresults)) {
		$usedtags .= '['.$row[0].']';
	}
}

$taglist	= array();
$taglist[]	= array('http-equiv','Allow');
$taglist[]	= array('http-equiv','Alternates');
$taglist[]	= array('http-equiv','Bulletin-Date');
$taglist[]	= array('http-equiv','Bulletin-Text');
$taglist[]	= array('http-equiv','Cache-Control');
$taglist[]	= array('http-equiv','Content-Base');
$taglist[]	= array('http-equiv','Content-Disposition');
$taglist[]	= array('http-equiv','Content-Encoding');
$taglist[]	= array('http-equiv','Content-language');
$taglist[]	= array('http-equiv','Content-Length');
$taglist[]	= array('http-equiv','Content-Location');
$taglist[]	= array('http-equiv','Content-MD5');
$taglist[]	= array('http-equiv','Content-Range');
$taglist[]	= array('http-equiv','Content-Script-Type');
$taglist[]	= array('http-equiv','Content-Style-Type');
$taglist[]	= array('http-equiv','Content-Type');
$taglist[]	= array('http-equiv','Content-type');
$taglist[]	= array('http-equiv','Content-Version');
$taglist[]	= array('http-equiv','Date');
$taglist[]	= array('http-equiv','Default-Style');
$taglist[]	= array('http-equiv','Derived-From');
$taglist[]	= array('http-equiv','ETag');
$taglist[]	= array('http-equiv','Expires');
$taglist[]	= array('http-equiv','Ext-cache');
$taglist[]	= array('http-equiv','Instance-Delegate');
$taglist[]	= array('http-equiv','Instance-Key');
$taglist[]	= array('http-equiv','Last-Modified');
$taglist[]	= array('http-equiv','Link');
$taglist[]	= array('http-equiv','Location');
$taglist[]	= array('http-equiv','MIME-Version');
$taglist[]	= array('http-equiv','Page-Enter');
$taglist[]	= array('http-equiv','Page-Exit');
$taglist[]	= array('http-equiv','PICS-Label');
$taglist[]	= array('http-equiv','Pragma');
$taglist[]	= array('http-equiv','Public');
$taglist[]	= array('http-equiv','Range');
$taglist[]	= array('http-equiv','Refresh');
$taglist[]	= array('http-equiv','Server');
$taglist[]	= array('http-equiv','Set-Cookie');
$taglist[]	= array('http-equiv','Site-Enter');
$taglist[]	= array('http-equiv','Site-Exit');
$taglist[]	= array('http-equiv','Title');
$taglist[]	= array('http-equiv','Transfer-Encoding');
$taglist[]	= array('http-equiv','URI');
$taglist[]	= array('http-equiv','Vary');
$taglist[]	= array('http-equiv','Via');
$taglist[]	= array('http-equiv','Warning');
$taglist[]	= array('http-equiv','Window-target');
$taglist[]	= array('name','ABSTRACT');
$taglist[]	= array('name','accessConstraints');
$taglist[]	= array('name','agencyProgram');
$taglist[]	= array('name','Agent markup Language Version');
$taglist[]	= array('name','ALIAS');
$taglist[]	= array('name','Area');
$taglist[]	= array('name','Audience');
$taglist[]	= array('name','Author-Corporate');
$taglist[]	= array('name','Author-Personal');
$taglist[]	= array('name','Author');
$taglist[]	= array('name','Bookmark');
$taglist[]	= array('name','Build');
$taglist[]	= array('name','CC');
$taglist[]	= array('name','Checked by');
$taglist[]	= array('name','Classification');
$taglist[]	= array('name','Client');
$taglist[]	= array('name','contact');
$taglist[]	= array('name','contactCity');
$taglist[]	= array('name','contactFaxNumber');
$taglist[]	= array('name','contactName');
$taglist[]	= array('name','contactNetworkAddress');
$taglist[]	= array('name','contactOrganization');
$taglist[]	= array('name','contactPhoneNumber');
$taglist[]	= array('name','contactState');
$taglist[]	= array('name','contactStreetAddress1');
$taglist[]	= array('name','contactStreetAddress2');
$taglist[]	= array('name','contactZip');
$taglist[]	= array('name','contributor');
$taglist[]	= array('name','Copyright');
$taglist[]	= array('name','Coverage');
$taglist[]	= array('name','createDate');
$taglist[]	= array('name','Creattim');
$taglist[]	= array('name','custodian');
$taglist[]	= array('name','custodian_contact');
$taglist[]	= array('name','custodian_contact_position');
$taglist[]	= array('name','Date completed');
$taglist[]	= array('name','dateofLastModification');
$taglist[]	= array('name','DC-CHEM.biological-activity');
$taglist[]	= array('name','DC-CHEM.characterisation');
$taglist[]	= array('name','DC-CHEM.computation-simulation');
$taglist[]	= array('name','DC-CHEM.coordinates');
$taglist[]	= array('name','DC-CHEM.reaction-data');
$taglist[]	= array('name','DC-CHEM.safety');
$taglist[]	= array('name','DC-CHEM.smiles');
$taglist[]	= array('name','DC-CHEM.substance');
$taglist[]	= array('name','DC-CHEM.synthesis');
$taglist[]	= array('name','DC.CONTRIBUTORS');
$taglist[]	= array('name','DC.COVERAGE');
$taglist[]	= array('name','DC.CREATOR');
$taglist[]	= array('name','DC.DATE');
$taglist[]	= array('name','DC.DESCRIPTION');
$taglist[]	= array('name','DC.FORMAT');
$taglist[]	= array('name','DC.IDENTIFIER');
$taglist[]	= array('name','DC.LANGUAGE');
$taglist[]	= array('name','DC.PUBLISHER');
$taglist[]	= array('name','DC.RELATION');
$taglist[]	= array('name','DC.RIGHTS');
$taglist[]	= array('name','DC.SOURCE');
$taglist[]	= array('name','DC.SUBJECT');
$taglist[]	= array('name','DC.TITLE');
$taglist[]	= array('name','DC.TYPE');
$taglist[]	= array('name','Department');
$taglist[]	= array('name','Description');
$taglist[]	= array('name','Destination');
$taglist[]	= array('name','Disposition');
$taglist[]	= array('name','Division');
$taglist[]	= array('name','doccomm');
$taglist[]	= array('name','Document number');
$taglist[]	= array('name','east_bounding_coordinate');
$taglist[]	= array('name','Editor');
$taglist[]	= array('name','EKArea');
$taglist[]	= array('name','EKBU');
$taglist[]	= array('name','EKdocOwner');
$taglist[]	= array('name','EKdocTech');
$taglist[]	= array('name','EKdocType');
$taglist[]	= array('name','EKreviewDate');
$taglist[]	= array('name','Expires');
$taglist[]	= array('name','Formatter');
$taglist[]	= array('name','Forward to');
$taglist[]	= array('name','Generator');
$taglist[]	= array('name','geo.placename');
$taglist[]	= array('name','geo.position');
$taglist[]	= array('name','geo.region');
$taglist[]	= array('name','googlebot');
$taglist[]	= array('name','Googlebot');
$taglist[]	= array('name','govType');
$taglist[]	= array('name','Group');
$taglist[]	= array('name','htdig-email-subject');
$taglist[]	= array('name','htdig-email');
$taglist[]	= array('name','htdig-keywords');
$taglist[]	= array('name','htdig-noindex');
$taglist[]	= array('name','htdig-notification-date');
$taglist[]	= array('name','Identifier-URL');
$taglist[]	= array('name','Identifier');
$taglist[]	= array('name','Keywords');
$taglist[]	= array('name','Language');
$taglist[]	= array('name','LastUpdated');
$taglist[]	= array('name','linkage');
$taglist[]	= array('name','Location');
$taglist[]	= array('name','Mailstop');
$taglist[]	= array('name','MathDMV.ABSTRACT');
$taglist[]	= array('name','MathDMV.AUTHOR');
$taglist[]	= array('name','MathDMV.CONTACT');
$taglist[]	= array('name','MathDMV.CR');
$taglist[]	= array('name','MathDMV.IDENTIFIER');
$taglist[]	= array('name','MathDMV.KEYWORDS');
$taglist[]	= array('name','MathDMV.NOTES');
$taglist[]	= array('name','MathDMV.ObjectType');
$taglist[]	= array('name','MathDMV.PACS');
$taglist[]	= array('name','MathDMV.PCLASS');
$taglist[]	= array('name','MathDMV.SCLASS');
$taglist[]	= array('name','MathDMV.SERIES');
$taglist[]	= array('name','MathDMV.SUBJECT');
$taglist[]	= array('name','MathDMV.TITLE');
$taglist[]	= array('name','MathDMV.UPDATE');
$taglist[]	= array('name','MathDMV.UPLOAD');
$taglist[]	= array('name','Matter');
$taglist[]	= array('name','medium');
$taglist[]	= array('name','Microsoft Border');
$taglist[]	= array('name','Microsoft Theme');
$taglist[]	= array('name','MSSmartTagsPreventParsing');
$taglist[]	= array('name','mytopic');
$taglist[]	= array('name','north_bounding_coordinate');
$taglist[]	= array('name','note');
$taglist[]	= array('name','ObjectType');
$taglist[]	= array('name','Office');
$taglist[]	= array('name','Operator');
$taglist[]	= array('name','organization');
$taglist[]	= array('name','originalControlIdentifier');
$taglist[]	= array('name','originatorDepartment');
$taglist[]	= array('name','originatorDivision');
$taglist[]	= array('name','originatorJurisdiction');
$taglist[]	= array('name','originatorOffice');
$taglist[]	= array('name','originatorSection');
$taglist[]	= array('name','Owner');
$taglist[]	= array('name','OWNER');
$taglist[]	= array('name','Page-Topic');
$taglist[]	= array('name','Page-Type');
$taglist[]	= array('name','Project');
$taglist[]	= array('name','public');
$taglist[]	= array('name','Publisher-Email');
$taglist[]	= array('name','Publisher');
$taglist[]	= array('name','Publisher');
$taglist[]	= array('name','Purpose');
$taglist[]	= array('name','Rating');
$taglist[]	= array('name','Received from');
$taglist[]	= array('name','Recorded by');
$taglist[]	= array('name','Recorded date');
$taglist[]	= array('name','Reference');
$taglist[]	= array('name','relation');
$taglist[]	= array('name','reply-to');
$taglist[]	= array('name','Resource-Type');
$taglist[]	= array('name','revision');
$taglist[]	= array('name','revisit');
$taglist[]	= array('name','rnmediafile');
$taglist[]	= array('name','rnmetafile');
$taglist[]	= array('name','rnpagelayout');
$taglist[]	= array('name','Robots');
$taglist[]	= array('name','SIC87.ObjectType');
$taglist[]	= array('name','Source');
$taglist[]	= array('name','south_bounding_coordinate');
$taglist[]	= array('name','Status');
$taglist[]	= array('name','subject');
$taglist[]	= array('name','subjects');
$taglist[]	= array('name','Telephone number');
$taglist[]	= array('name','Template');
$taglist[]	= array('name','timePeriodTextual');
$taglist[]	= array('name','timestamp');
$taglist[]	= array('name','Typist');
$taglist[]	= array('name','UserGroups');
$taglist[]	= array('name','Version');
$taglist[]	= array('name','VW96.ObjectType');
$taglist[]	= array('name','west_bounding_coordinate');

//	Set the HTML for the "META Editor" popup window.

?>
<html>
<head>
	<title>META Editor</title>
	<script type="text/javascript" src="../../includes/treemenu.js"></script>
	<script type="text/javascript" src="../../includes/functions.js"></script>
	<script type="text/javascript">
	<!--
		window.resizeTo(380, 300);

		function saveChange(form)
		{
			var tagvalues = form.taglist.options[form.taglist.selectedIndex].value.split(';');
			var oform = window.opener.dialogArguments;
			oform.mode.value = '<?php echo $modetype; ?>metatag';
			oform.tag_type.value = tagvalues[0];
			oform.tag_name.value = tagvalues[1];
			oform.tag_content.value = form.tagcontent.value;
			oform.tagid.value = <?php echo $_GET['tagid']; ?>;
			oform.submit();
			window.close();
		}
	//-->
	</script>
	<style type="text/css">
		html, body, form {
			background: ButtonFace;
			color: ButtonText;
			font: 11px Tahoma,Verdana,sans-serif;
			margin: 0px;
			padding: 0px;
			overflow: hidden;
		}
		table {
			font: 11px Tahoma,Verdana,sans-serif;
		}
		select, input, button { font: 11px Tahoma,Verdana,sans-serif; }
		table .label { text-align: right; width: 8em; }
		button { width: 70x; }

		.title { background: #ddf; color: #000; font-weight: bold;
			font-size: 120%; padding: 3px 10px; margin-bottom: 10px;
		border-bottom: 1px solid black; letter-spacing: 2px;
		}

		#buttons {
			margin-top: 1em; border-top: 1px solid #999;
			padding: 2px; text-align: right;
		}
	</style>
</head>
<body>
<form id="tagform" name="tagform" method="get" action="modules.php">
<div class="title"><?php echo _METAEDITOR; ?></div>
<table border="0" style="width: 100%;">
	<tr>
		<td colspan="2">&nbsp;<?php echo _AVAILABLETAGS; ?><br />
			<select id="taglist" name="taglist" size="10" style="width: 100%;">
<?php

// Programatically generate the list of available tags.
reset($taglist);
$i = 0;
foreach ($taglist as $tag) {
	if (stristr($usedtags,'['.$tag[1].']')) {
		continue;
	}
	echo '				<option value="'.$tag[0].';'.$tag[1].'"';
	if ($tag[1] == $tagrow[1]) {
		$selected = $i;
	}
	echo ">".strtoupper($tag[0]).'=&quot;'.$tag[1].'&quot;</option>'."\r\n";
	$i++;
}

?>
			</select>
		</td>
	</tr>
	<tr>
		<td class="label"><?php echo _CONTENTCOLON; ?></td>
		<td><input type="text" id="tagcontent" name="tagcontent" style="width: 100%" value="<?php echo $tagrow[2]; ?>" /></td>
	</tr>
</table>
<div id="buttons">
	<button type="submit" id="ok" name="ok" onclick="saveChange(this.form)">&nbsp;<?php echo _OK; ?>&nbsp;</button>
	<button type="button" id="cancel" name="cancel" onclick="self.close();">&nbsp;<?php echo _CANCEL; ?>&nbsp;</button>
</div>
</form>
<script type="text/javascript" defer="defer">
<!--
centerPopupWin();
<?php
	if (isset($selected)) {
		echo 'document.tagform.taglist.options['.$selected.'].selected = true;'."\r\n";
	}
?>
//-->
</script>
</body>
</html>