<?php
/**
 * Provides some detailed information about the module SETTINGS.PHP, including
 * module name, title, author, version, release date, and description.
 * @package Core-Modules
 */
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +------------------------------------------------------+
// | INFO.PHP                                             |
// +------------------------------------------------------+
// | Copyright (c) 2003-2004 YTZ Technical Services, LLC. |
// +------------------------------------------------------+
// | INFO.PHP is part of FreeWPS.                         |
// |                                                      |
// | FreeWPS was built using the FreeWPS Software         |
// | Development Kit (SDK), version 2.0.  Free Web        |
// | Publishing System[tm] and FreeWPS[tm] are both       |
// | trademarks of YTZ Technical Services, LLC.           |
// |                                                      |
// | FreeWPS is free software; you can redistribute       |
// | it and/or modify it under the terms of the GNU       |
// | General Public License as published by the Free      |
// | Software Foundation; either version 2 of the         |
// | License, or (at your option) any later version.      |
// |                                                      |
// | FreeWPS is distributed in the hope that it will      |
// | be useful, but WITHOUT ANY WARRANTY; without even    |
// | the implied warranty of MERCHANTABILITY or           |
// | FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       |
// | General Public License (included as COPYING.txt)     |
// | for more details.                                    |
// |                                                      |
// | You should have received a copy of the GNU General   |
// | Public License along with FreeWPS. If you did        |
// | not, you may download a copy at:                     |
// |                                                      |
// | URL:  http://www.fsf.org/licenses/gpl.txt            |
// |                                                      |
// | You may also request a copy from:                    |
// |                                                      |
// | Free Software Foundation, Inc.                       |
// | 59 Temple Place, Suite 330                           |
// | Boston, MA 02111-1307                                |
// | USA                                                  |
// +------------------------------------------------------+
// | Author: Justin White <jwhite@ytztech.com>            |
// +------------------------------------------------------+
//
// $Id: info.php,v 1.3 2004/03/31 05:34:30 ytztech Exp $
//

if (stristr($_SERVER['PHP_SELF'],'info.php')) {
	// To make sure no one calls this script directly, this conditional ensures
	// that the client browser is redirected to the Home Page if this script's
	// filename is found in $_SERVER['PHP_SELF'].
	Header('Location: ../../index.php');
	die();
}


/**
 * Display the various details for SETTINGS.PHP.
 * These details can include the module author(s), description, version and copyright
 * information, build date, et al.
 *
 * @access private
 * @return void
 */
function settings_moduleDetail()
{
	//  Set the array INFO for the "SETTINGS.PHP Module Details" window.
	$info = array();
	$info[0]  = 'SETTINGS.PHP';
	$info[1]  = 'Website Configuration';
	$info[2]  = '2004, YTZ Technical Services, LLC.';
	$info[3]  = 'http://www.ytztech.com/freewps';
	$info[4]  = '<a href="mailto:jwhite@ytztech.com">Justin White</a>';
	$info[5]  = '2.0';
	$info[6]  = '03/30/2004';
	$info[7]  = 'GNU General Public License, v2';
	$info[8]  = '<p>SETTINGS.PHP allows the management of the global preferences ';
	$info[8] .= 'for FreeWPS.&nbsp; Changes can be made to the global language ';
	$info[8] .= 'setting, the filenames of templates used throughout FreeWPS, the ';
	$info[8] .= 'contact information for the system, authentication settings, ';
	$info[8] .= 'etc.</p>';

	//  Return the array INFO for the "SETTINGS.PHP Module Details" window.
	return $info;
}

?>