<?php
/**
 * Offers functions for the administration of FreeWPS users and groups, including
 * password reset and adding groups In addition, USERS.PHP offers ACCOUNT_ADMINS the
 * ability to view and manage the SYSLOG entries for FreeWPS, including ability to
 * download the list of entries and clear the log.
 * @package Core-Modules
 */
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +------------------------------------------------------+
// | USERS.PHP                                            |
// +------------------------------------------------------+
// | Copyright (c) 2003-2004 YTZ Technical Services, LLC. |
// +------------------------------------------------------+
// | USERS.PHP is part of FreeWPS.                        |
// |                                                      |
// | FreeWPS was built using the FreeWPS Software         |
// | Development Kit (SDK), version 2.0.  Free Web        |
// | Publishing System[tm] and FreeWPS[tm] are both       |
// | trademarks of YTZ Technical Services, LLC.           |
// |                                                      |
// | FreeWPS is free software; you can redistribute       |
// | it and/or modify it under the terms of the GNU       |
// | General Public License as published by the Free      |
// | Software Foundation; either version 2 of the         |
// | License, or (at your option) any later version.      |
// |                                                      |
// | FreeWPS is distributed in the hope that it will      |
// | be useful, but WITHOUT ANY WARRANTY; without even    |
// | the implied warranty of MERCHANTABILITY or           |
// | FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       |
// | General Public License (included as COPYING.txt)     |
// | for more details.                                    |
// |                                                      |
// | You should have received a copy of the GNU General   |
// | Public License along with FreeWPS. If you did        |
// | not, you may download a copy at:                     |
// |                                                      |
// | URL:  http://www.fsf.org/licenses/gpl.txt            |
// |                                                      |
// | You may also request a copy from:                    |
// |                                                      |
// | Free Software Foundation, Inc.                       |
// | 59 Temple Place, Suite 330                           |
// | Boston, MA 02111-1307                                |
// | USA                                                  |
// +------------------------------------------------------+
// | Author: Justin White <jwhite@ytztech.com>            |
// +------------------------------------------------------+
//
// $Id: users.php,v 1.6 2004/09/21 02:51:17 ytztech Exp $
//

/* ****  MODULE HEADER SECTION ENDS HERE  **** */

/* ****  MODULE INITIALIZATION SECTION BEGINS HERE  **** */

if (stristr($_SERVER['PHP_SELF'],'users.php')) {
	// To make sure no one calls this script directly, this conditional ensures
	// that the client browser is redirected to the Home Page if this script's
	// filename is found in $_SERVER['PHP_SELF'].
	header('Location: ../index.php');
	die();
}

/** Include the main set of FreeWPS APIs. */
include_once 'includes/functions.php';

if (file_exists('languages/'.$GLOBALS['freewps_language'].'/lang-users.php')) {
	/** Load the locale-specific constants for defined FreeWPS language. */
	include_once 'languages/'.$GLOBALS['freewps_language'].'/lang-users.php';
} else {
	/** Default to English (or to your native language, if not English). */
	include_once 'languages/english/lang-users.php';
}


if (core_checkUser(ACCOUNT_ADMINS)) {
	// Only Account Admins have the ability to modify user accounts.

	// Check for the existence of either GET/POST variable "mode".
	// "Mode" determines the actions taken by this module.
	if (isset($_REQUEST['mode'])) {
		// Set the mode to the requested mode.
		$mode = $_REQUEST['mode'];
	} else {
		// Set the mode to the default mode.
		$mode = 'admin';
	}
	// Check for the existence of either GET/POST variable "groupid".
	// "Groupid" represents a particular group in FreeWPS.
	if (isset($_REQUEST['groupid'])) {
		// Set the groupid to the requested groupid (if present).
		$groupid = $_REQUEST['groupid'];
	}
	// Check for the existence of either GET/POST variable "userid".
	// "Userid" represents a particular user in FreeWPS.
	if (isset($_REQUEST['userid'])) {
		// Set the userid to the requested userid (if present).
		$userid = $_REQUEST['userid'];
	}

/* ****  MODULE INITIALIZATION SECTION ENDS HERE  **** */

/* ****  REQUEST PROCESSING SECTION BEGINS HERE  **** */

	if ($_SERVER['REQUEST_METHOD'] == 'POST') {
		/* The POST processing section... */
		switch ($mode) {
			case 'addgroup':
				// Get the next groupid.
				$grp_nextid = core_getNextID($dbpref.'_GROUPS');

				// Setup and execute the query to add the group.
				$query_cmd = 'INSERT INTO '.$dbpref.'_GROUPS'.
							 ' VALUES ('.$grp_nextid.',\''.$_POST['groupnew'].'\')';
				sql_query($query_cmd,$db_id);

				// Redirect the user to the "Edit Group" form.
				$newloc = 'modules.php?id=users&mode=editgroup&groupid='.$grp_nextid;
				header('Location: '.$newloc);
				// End this joyride.
				break;

			case 'adduser':
				// Get the next userid.
				$user_nextid = core_getNextID($dbpref.'_USERS',FALSE);

				// Setup and execute the query to add the user.
				$query_cmd = 'INSERT INTO '.$dbpref.'_USERS'.
							 ' VALUES ('.$user_nextid.','.
									'\''.$_POST['wps_username'].'\','.
								'\''.MD5($_POST['wps_username']).'\','.
									'\''.$_POST['wps_passhash'].'\','.
									  '\'y\','.
									  '\'n\','.
									  '\'n/a\','.
										'0)';
				sql_query($query_cmd,$db_id);

				// Move the array pointer to the beginning of the permissions list.
				reset($_POST['user_permissions']);
				// Get the next user groupid.
				$perm_nextid = core_getNextID($dbpref.'_GRPUSERS');

				while (count($_POST['user_permissions']) > 0) {
					// Get the next groupid.
					$element = array_pop($_POST['user_permissions']);
					// Setup and execute the query to add each group for the user.
					$query_cmd = 'INSERT INTO '.$dbpref.'_GRPUSERS'.
								 ' VALUES ('.$perm_nextid.','.
											 $user_nextid.','.
											 $element.')';
					sql_query($query_cmd, $db_id);
					// Get the next permission id.
					$perm_nextid++;
				}
				// Redirect the user to the "User Administration" Panel.
				header('Location: modules.php?id=users&mode=admin');
				// End this joyride.
				break;

			case 'editgroup':
				// Setup and execute the query to get the existing name of $groupid.
				$query_cmd = 'SELECT GRPNAME FROM '.$dbpref.'_GROUPS'.
							 ' WHERE ID='.$groupid;
				$grpresults = sql_query($query_cmd,$db_id);
				$grprow = sql_fetch_row($grpresults);

				// Setup and execute the query to list the current group members.
				$query_cmd = 'SELECT USERID FROM '.$dbpref.'_GRPUSERS'.
							 ' WHERE GROUPID='.$groupid;
				$results = sql_query($query_cmd,$db_id);

				if (isset($_POST['grp_users'])) {
					// This group still will have users in it.
					while ($row = sql_fetch_row($results)) {
						// Determine whether each user will remain in the group.
						$key = array_search($row[0],$_POST['grp_users']);
						if ($key !== FALSE) {
							// This user will remain, so discard the element.
							unset($_POST['grp_users'][$key]);
						} else {
							// Setup and execute the query to remove the current user
							// from the current group.
							$query_cmd = 'DELETE FROM '.$dbpref.'_GRPUSERS'.
										 ' WHERE GROUPID = '.$groupid.
										 ' AND USERID = '.$perm_row[0];
							sql_query($query_cmd, $db_id);
						}
					}

					// Move the array pointer to the beginning of the users list.
					reset($_POST['grp_users']);
					/// Get the next user group-id.
					$perm_nextid = core_getNextID($dbpref.'_GRPUSERS');

					while (count($_POST['grp_users']) > 0) {
						// Get the next userid.
						$element = array_pop($_POST['grp_users']);
						// Setup and execute the query to add the next user.
						$query_cmd = 'INSERT INTO '.$dbpref.'_GRPUSERS'.
									 ' VALUES ('.$perm_nextid.','.
												 $element.','.
												 $groupid.')';
						sql_query($query_cmd, $db_id);
						// Get the next permission id.
						$perm_nextid++;
					}
				} else {
					// No users for you!
					while ($row = sql_fetch_row($results)) {
						// Setup and execute the query to remove the next user.
						$query_cmd = 'DELETE FROM '.$dbpref.'_GRPUSERS'.
									 ' WHERE GROUPID = '.$groupid.
									 ' AND USERID = '.$row[0];
						sql_query($query_cmd, $db_id);
					}
				}

				if (($_POST['groupname'] != $grprow[0]) && ($groupid > 0)) {
					// Setup and execute the query to update the changed group name.
					$query_cmd = 'UPDATE '.$dbpref.'_GROUPS'.
								 " SET GRPNAME = '".$_POST['groupname']."'".
								 " WHERE ID = $groupid";
					sql_query($query_cmd,$db_id);
				}
				// Redirect the user to the "Group Administration" panel.
				header('Location: modules.php?id=users&mode=managegroups');
				// End this joyride.
				break;

			case 'edituser':
				// Setup and execute the query to get the status of the user.
				$query_cmd = 'SELECT ENABLED FROM '.$dbpref.'_USERS'.
							 ' WHERE ID='.$userid;
				$user_results = sql_query($query_cmd,$db_id);
				$user_row = sql_fetch_row($user_results);

				// Get the next user group-id.
				$perm_nextid = core_getNextID($dbpref.'_GRPUSERS');
				// Setup and execute the query to get the permissions for $userid.
				$query_cmd = 'SELECT GROUPID FROM '.$dbpref.'_GRPUSERS'.
							 ' WHERE USERID='.$userid;
				$results = sql_query($query_cmd,$db_id);
				while ($row = sql_fetch_row($results)) {
					// Determine whether the user will remain in each group.
					$key = array_search($row[0],$_POST['user_permissions']);
					if ($key !== FALSE) {
						// The user will remain, so discard the element.
						unset($_POST['user_permissions'][$key]);
					} else {
						// Setup and execute the query to remove the permission.
						$query_cmd = 'DELETE FROM '.$dbpref.'_GRPUSERS'.
									 ' WHERE USERID = '.$userid.
									 ' AND GROUPID = '.$row[0];
						sql_query($query_cmd, $db_id);
					}
				}

				// Move the array pointer to the beginning of the group list.
				reset($_POST['user_permissions']);

				while (count($_POST['user_permissions']) > 0) {
					// Get the next groupid.
					$element = array_pop($_POST['user_permissions']);
					// Setup and execute the query to add the user to each group.
					$query_cmd = 'INSERT INTO '.$dbpref.'_GRPUSERS'.
								 ' VALUES ('.$perm_nextid.', '.
											 $userid.', '.
											 $element.')';
					sql_query($query_cmd, $db_id);
					// Get the next permission id.
					$perm_nextid++;
				}

				if ($_POST['enabled'] != $user_row[0]) {
					// Setup and execute the query to update the user's status.
					$query_cmd = 'UPDATE '.$dbpref.'_USERS'.
								 ' SET ENABLED=\''.$_POST['enabled'].'\''.
								 ' WHERE ID='.$userid;
					sql_query($query_cmd,$db_id);
				}
				// Redirect the user to the "User Administration" Panel.
				header('Location: modules.php?id=users&mode=admin');
				// End this joyride.
				break;

			case 'changeuserpw':
				// Setup and execute the query to determine whether the user changing
				// the password is the user being changed.
				$query_pt1 = 'SELECT * FROM ';
				$query_pt2 = $dbpref.'_USERS'.
							 ' WHERE USERNAME = \''.$_SESSION['registereduser'].'\''.
							 ' AND ID = '.$userid;
				$results = sql_query($query_pt1.$query_pt2, $db_id);
				$sameuser = sql_num_rows($results,$query_pt2);

				// In FreeWPS, the password is stored as a hash of the username
				// and password.  So we need to update the username too.
				// Setup and execute the query to update the username, userhash,
				// and passhash for the $userid.
				$userhash = md5($_POST['wps_username']);
				$query_cmd = 'UPDATE '.$dbpref.'_USERS'.
							 ' SET USERNAME=\''.$_POST['wps_username'].'\','.
								 ' USERHASH=\''.$userhash.'\','.
								 ' PASSHASH=\''.$_POST['wps_passhash'].'\''.
								 ' WHERE ID='.$userid;
				sql_query($query_cmd,$db_id);

				if ($sameuser == 1) {
					// Since we this user just changed their own password, update
					// their session information with the new username and passhash.
					$_SESSION['authorization'] = $_POST['wps_passhash'];
					$_SESSION['registereduser'] = $_POST['wps_username'];
				}
				// Redirect the user to the "User Administration" Panel.
				header('Location: modules.php?id=users&mode=admin');
				// End this joyride.
				break;

			default:
				// Since an invalid $mode was given, display an error page.
				header('Location: 404.php');
				// End this joyride.
				break;
		}
		// End this script without any further processing.
		die();
	}

	/* The GET processing section... */
	switch ($mode) {
		case 'test':
			users_updateAssoc(1);
			break;

		case 'admin':
			// Get the HTML for the "User Administration" panel.
			$pgcontent = users_admin();
			// Create the page.
			core_createPage($pgcontent,'',_USERS_TITLE);
			// End this joyride.
			break;

		case 'adduser':
			// Get the HTML for the "Add New User" form.
			$pgcontent = users_addUser();
			// Create the page.
			core_createPage($pgcontent,'',_USERS01);
			// End this joyride.
			break;

		case 'changeuserpw':
			// Get the HTML for the "Change Username/Password" form.
			$pgcontent = users_changePW($userid);
			// Create the page.
			core_createPage($pgcontent,'',_USERS02);
			// End this joyride.
			break;

		case 'deletelog':
			// Setup and execute the query to delete the all syslog events.
			sql_query('DELETE FROM '.$dbpref.'_SYSLOG',$db_id);
			// Redirect the user to the "View SYSLOG" page.
			header('Location: modules.php?id=users&mode=viewsyslog');
			die();
			// End this joyride.
			break;

		case 'deletegroup':
			// Setup and execute the queries to delete the group and its membership.
			sql_query('DELETE FROM '.$dbpref.'_GROUPS WHERE ID = '.$groupid,$db_id);
			sql_query('DELETE FROM '.$dbpref.'_GRPUSERS'.
					  ' WHERE GROUPID = '.$groupid,$db_id);
			// Update the potential group associations with each installed module.
			users_updateAssoc($groupid);
			// Redirect the user to the "Group Administration" panel.
			header('Location: modules.php?id=users&mode=managegroups');
			// End this joyride.
			break;

		case 'deleteuser':
			// Setup and execute the queries to delete the user and its permissions.
			sql_query('DELETE FROM '.$dbpref.'_USERS WHERE ID = '.$userid,$db_id);
			// Redirect the user to the "Users Administration" panel.
			header('Location: modules.php?id=users&mode=admin');
			// End this joyride.
			break;

		case 'downloaddelay':
			// Set the HTML for the "Download Delay" popup window.
			$pgcontent = users_downloadDelay();
			// Create the page.
			core_createPage($pgcontent,'',_USERS03,$template_popup);
			// End this joyride.
			break;

		case 'downloadlog':
			// Send the appropriate headers to send the contents of the SYSLOG as a
			// Comma-delimited/Comma-separated values file (CSV).
			header('Content-Type: text/x-csv');
			header('Expires: '.gmdate('D, d M Y H:i:s').' GMT');
			if (stristr($_SERVER['HTTP_USER_AGENT'], "compatible")) {
				// This hack tells IE to save the file with a dialog rather than try
				// to display the file directly.
				header('Content-Disposition: inline; filename="syslog.csv"');
				header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
				header('Pragma: public');
			} else {
				// This method is the proper way to specify a file download, but IE
				// does not support it in any versions since 3.0...
				header('Content-Disposition: attachment; filename="syslog.csv"');
				header('Pragma: no-cache');
			}

			// Setup and execute the query to get all SYSLOG event details.
			$query_cmd = 'SELECT ID,CATEGORY,STATEMENT FROM '.$dbpref.'_SYSLOG'.
						 ' ORDER BY ID';
			$log_results = sql_query($query_cmd,$db_id);

			while ($log_details = sql_fetch_row($log_results)) {
				// Include an SMTP-compliant timestamp for each event.
				// The timestamp is stored as the ID.
				echo '"'.date('r',$log_details[0]).'",';
				echo '"';
				// Include the category of event.
				switch ($log_details[1]) {
					case '0':
						echo _USERS05;
						// End this joyride.
						break;
					case '1':
						echo _USERS06;
						// End this joyride.
						break;
					case '2':
						echo _USERS07;
						// End this joyride.
						break;
					case '3':
						echo _USERS08;
						// End this joyride.
						break;
				}
				echo '",';
				// Replace all brackets in the statement with apostrophes.
				$statement = str_replace('[','\'',$log_details[2]);
				// Replace all non-breaking spaces in the statement with spaces.
				$statement = str_replace('&nbsp;',' ',$statement);
				// Convert all WPS entities to single and double quotes.
				$statement = core_convertQuotes($statement,'revert');
				// Replace all brackets in the statement with apostrophes.
				$statement = str_replace(']','\'',$statement);
				echo '"'.$statement."\"\r\n";
			}
			// End this joyride.
			break;

		case 'editgroup':
			// Get the HTML for the "Edit Group" form.
			$pgcontent = users_editGroup($groupid);
			// Create the page.
			core_createPage($pgcontent,'',_USERS44);
			// End this joyride.
			break;

		case 'edituser':
			// Get the HTML for the "Edit User" form.
			$pgcontent = users_editUser($userid);
			// Create the page.
			core_createPage($pgcontent,'',_USERS09);
			// End this joyride.
			break;

		case 'managegroups':
			// Get the HTML for the "Group Management" form.
			$pgcontent = users_groupAdmin();
			// Create the page.
			core_createPage($pgcontent,'',_USERS41);
			// End this joyride.
			break;

		case 'popupusers':
			// Get the HTML for the "Add User" popup.
			$pghtml = users_chooseUser($groupid,$_GET['userlist']);
			// Create the page.
			core_createPage($pghtml,'',_USERS18,$template_popup);
			// End this joyride.
			break;

		case 'viewsyslog':
			// Determine the point at which to start displaying log entries.
			if (!isset($_GET['logstart'])) {
				// Since no number was specified, start at the beginning.
				$logstart = 0;
			} else {
				// Start with records from the specified number.
				$logstart = $_GET['logstart'];
			}

			// Get the HTML for the "View SYSLOG" panel.
			$pgcontent = users_viewLog($logstart,10);
			// Create the page.
			core_createPage($pgcontent,'',_USERS10);
			// End this joyride.
			break;

		default:
			// Since an invalid $mode was given, display an error page.
			header('Location: 404.php');
			// End this joyride.
			break;
	}
} else {
	// No valid user rights were found.
	if ($_SESSION['authorization'] == '') {
		// Since the user hasn't logged in, send them to the login page with the
		// requested URL passed as a referral URL.
		header('Location: login.php?referer='.core_getReferer());
		die();
	} else {							//
		// Since the user is logged in, display an "Access Denied" page instead.
		core_createPage(access_denied(),'',_ACCESSDENIED);
	}
}


/**
 * Display a form to add a new user.
 *
 * @access private
 * @return string HTML content of the "Add New User" form
 */
function users_addUser()
{
	// Get the SQL operator "notequal".
	$sql_op = sql_operator('notequal');

	// Setup and execute the query to get the list of possible group permissions.
	$query_pt1 = 'SELECT ID,GRPNAME FROM ';
	$query_pt2 = $GLOBALS['dbpref'].'_GROUPS WHERE ID '.$sql_op.' 0'.
				 ' AND ID '.$sql_op.' '.SUPERUSERS_GROUP;
	$query_pt3 = ' ORDER BY GRPNAME';
	$results = sql_query($query_pt1.$query_pt2.$query_pt3,$GLOBALS['db_id']);

	// Display up to 6 lines before scrolling in the SELECT element.
	$listnum = sql_num_rows($results,$query_pt2);
	if ($listnum > 6) {
		$listnum = 6;
	}

	// Set the HTML for the "Add New User" form.
	$page = '
<script src="includes/md5.js" type="text/javascript"></script>
<script type="text/javascript">
<!--
function submitLogin(form)
{
	if (form.wps_username.value == "") {
		alert("'._USERS11.'");
		form.wps_username.focus();
		return false;
	}
	if (form.wps_password.value == "") {
		alert("'._USERS12.'");
		form.wps_password.focus();
		return false;
	}
	if (form.confirm_password.value == "") {
		alert("'._USERS13.'");
		form.confirm_password.focus();
		return false;
	}
	if (form.confirm_password.value != form.wps_password.value) {
		alert("'._USERS14.'");
		form.wps_password.value = "";
		form.confirm_password.value = "";
		form.wps_password.focus();
		return false;
	}
	if (form.elements[3].selectedIndex == -1) {
		alert("'._USERS15.'");
		form.elements[3].focus();
		return false;
	}

	form.wps_passhash.value = MD5(form.wps_username.value + form.wps_password.value);
	form.wps_password.value = "";
	form.confirm_password.value = "";

	return true;
}
//-->
</script>
<h3 align="center">'._USERS01.'</h3>
<form method="post" name="loginform" action="modules.php"
 onsubmit="return submitLogin(this)">
  <div align="center">
    <table align="center" border="0" cellpadding="2" cellspacing="2" class="tableAdmin">
      <tr>
        <td align="right" nowrap="nowrap">'._USERNAMECOLON.'</td>
        <td align="left">
          <input type="text" class="textCool" name="wps_username" size="10"
           autocomplete="off" onfocus="this.className=\'textCoolFocus\'"
           onblur="this.className=\'textCool\'" /></td>
      </tr>
      <tr>
        <td align="right" nowrap="nowrap">'._PASSWORDCOLON.'</td>
        <td align="left">
          <input type="password" class="textCool" name="wps_password" size="10"
           autocomplete="off" onfocus="this.className=\'textCoolFocus\'"
           onblur="this.className=\'textCool\'" /></td>
      </tr>
      <tr>
        <td align="right" nowrap="nowrap">'._USERS16.'</td>
        <td align="left">
          <input type="password" class="textCool" name="confirm_password" size="10"
           autocomplete="off" onfocus="this.className=\'textCoolFocus\'"
           onblur="this.className=\'textCool\'" /></td>
      </tr>
      <tr>
        <td align="right" nowrap="nowrap">'._USERS17.'</td>
        <td align="left">
          <select class="textCool" name="user_permissions[]" multiple="multiple"
           size="'.$listnum.'">';

	while ($listrow = sql_fetch_row($results)) {
		// Add options to the SELECT element for the various groups available.
		$page .= "\r\n".'          <option value="'.$listrow[0].'">';
		$page .= $listrow[1].'</option>';
	}

	// Continue to set the HTML for the form.
	$page .= '
          </select>
        </td>
      </tr>
    </table>
    <div style="padding: 0px; margin: 0px; margin-top: 6px;">
      <input type="submit" class="buttonRegular" value="'._USERS18.'"
       onmouseover="this.className=\'buttonRegularFocus\'"
       onmouseout="this.className=\'buttonRegular\'" />&nbsp;
      <input type="button" class="buttonRegular" value="'._CANCEL.'"
       onclick="location.href = \'modules.php?id=users&amp;mode=admin\'"
       onmouseover="this.className=\'buttonRegularFocus\'"
       onmouseout="this.className=\'buttonRegular\'" />
    </div>
  </div>
  <input type="hidden" name="id" value="users" />
  <input type="hidden" name="mode" value="adduser" />
  <input type="hidden" name="wps_passhash" value="" />
</form>
';
	// Return the HTML for the "Add New User" form.
	return $page;
}



/**
 * Display a list of the existing users and the various functions/options available.
 *
 * @access private
 * @return string HTML content of the "User Administration" panel
 */
function users_admin()
{
	// Set the HTML for the "User Administration" panel.
	$page =  '
<script type="text/javascript">
<!--
function moduleAction (element)
{
	var select = element.form.userid;
	    uservar = \'&userid=\' + select.options[select.selectedIndex].value;
	switch (element.name) {
		case \'edituser\':
			location.href = \'modules.php?id=users&mode=edituser\'+uservar;
			break;

		case \'changeuserpw\':
			location.href = \'modules.php?id=users&mode=changeuserpw\'+uservar;
			break;

		case \'deleteUser\':
			if (confirm(\''._USERS36.'\')) {
				location.href = \'modules.php?id=users&mode=deleteuser\'+uservar;
			}
			break;
	}
	return true;
}

function navAction (element)
{
	switch (element.value) {
		case \'default\':
			alert(\''._NAVIGATIONERROR.'\');
			break;

		case \'adduser\':
			location.href = \'modules.php?id=users&mode=adduser\';
			break;

		case \'managegroups\':
			location.href = \'modules.php?id=users&mode=managegroups\';
			break;

		case \'viewsyslog\':
			location.href = \'modules.php?id=users&mode=viewsyslog\';
			break;

		case \'adminpass\':
			location.href = \'modules.php?id=users&mode=changeuserpw&userid=0\';
			break;

		case \'adminpanel\':
			location.href = \'admin.php\';
			break;
	}
	return true;
}

//-->
</script>
<form method="get" action="modules.php">
  <div align="center">
    <table align="center" border="0" cellpadding="2" cellspacing="2" class="tableAdmin">
      <tr><td align="center"><h3>'._USERS_TITLE.'</h3></td></tr>
      <tr>
        <td align="center">
          <select class="textCool" name="actionlist"
           onchange="navAction(this.options[this.selectedIndex])">
            <option value="default">- '._NAVIGATIONMENU.' -</option>
            <option value="adduser">'._USERS01.'</option>
            <option value="adminpass">'._USERS19.'</option>
            <option value="managegroups">'._USERS41.'</option>
            <option value="viewsyslog">'._USERS10.'</option>
            <option value="adminpanel">'._BACK2ADMIN.'</option>
          </select>
        </td>
      </tr>
    </table>
    <hr class="paddedhr" />';

	// Get the SQL operator "notequal".
	$notequal = sql_operator('notequal');

	// Setup and execute the query to get the list of users excluding the root user.
	$query_pt1 = 'SELECT ID, USERNAME FROM ';
	$query_pt2 = $GLOBALS['dbpref'].'_USERS WHERE ID '.$notequal.' 0';
	$query_pt3 = ' ORDER BY USERNAME';
	$results   = sql_query($query_pt1.$query_pt2.$query_pt3,$GLOBALS['db_id']);

	// If one or more regular users exist, display the list of users.
	if (sql_num_rows($results,$query_pt2) > 0 ) {
		$page .= '
    <table align="center" border="0" cellpadding="2" cellspacing="2" class="tableAdmin">
      <tr>
        <td align="center" colspan="3">
          <strong>'._USERS37.'</strong>&nbsp;
          <select class="textCool" name="userid" size="1">';

		// Enumerate all the users in the list.
		while ($row = sql_fetch_row($results)) {
			$page .= "\r\n".'          <option value="'.$row[0].'"> ';
			$page .= $row[1].' </option>';
		}

		// Continue to set the HTML for the "Users Administration" panel.
		$page .= '
          </select>
        </td>
      </tr>
    </table>
    <div style="padding: 0px; margin: 0px; margin-top: 6px;">
      <input type="button" class="buttonRegular" name="edituser"
       value="'._USERS38.'" onclick="moduleAction(this);"
       onmouseover="this.className=\'buttonRegularFocus\'"
       onmouseout="this.className=\'buttonRegular\'" />
    </div>
    <div style="padding: 0px; margin: 0px; margin-top: 4px;">
      <input type="button" class="buttonRegular" name="changeuserpw"
       value="'._USERS20.'" onclick="moduleAction(this);"
       onmouseover="this.className=\'buttonRegularFocus\'"
       onmouseout="this.className=\'buttonRegular\'" />
    </div>
    <div style="padding: 0px; margin: 0px; margin-top: 4px;">
      <input type="button" class="buttonRegular" name="deleteUser"
       value="'._USERS39.'" onclick="moduleAction(this);"
       onmouseover="this.className=\'buttonRegularFocus\'"
       onmouseout="this.className=\'buttonRegular\'" />
    </div>
';
	} else {
		// If no users exist, say so.
		$page .= '
    <h4>'._USERS40.'</h4>';
	}

	// Continue to set the HTML for the "Users Administration" panel.
	$page .= '
  </div>
  <input type="hidden" name="id" value="users" />
  <input type="hidden" name="mode" value="" />
</form>
';
	// Return the HTML for the "Users Administration" panel.
	return $page;
}


/**
 * Display a form to change the username or password (or both) for $userid.
 *
 * @param  int     $userid   ID of the user wanting to change their password.
 * @access private
 * @return string HTML content of the "Change Username/Password" panel
 */
function users_changePW($userid)
{
	// Setup and execute the query to get the user's login name.
	$query_cmd = 'SELECT USERNAME FROM '.$GLOBALS['dbpref'].'_USERS'.
				 ' WHERE ID='.$userid;
	$results = sql_query($query_cmd,$GLOBALS['db_id']);

	// Retrieve the username.
	$row = sql_fetch_row($results);

	// Determine the title to display depending on the user.
	$title = ($userid == 0) ? _USERS19 : _USERS20;

	// Set the HTML for the "Change Username/Password" form.
	$page = '
<script src="includes/md5.js" type="text/javascript"></script>
<script type="text/javascript">
<!--
function submitLogin(form)
{
	if (form.wps_password.value == "") {
		alert("'._USERS12.'");
		form.wps_password.focus();
		return false;
	}
	if (form.confirm_password.value == "") {
		alert("'._USERS13.'");
		form.confirm_password.focus();
		return false;
	}
	if (form.wps_password.value != form.confirm_password.value) {
		alert("'._USERS14.'");
		form.wps_password.value = "";
		form.confirm_password.value = "";
		form.wps_password.focus();
		return false;
	}

	form.wps_passhash.value = MD5(form.wps_username.value + form.wps_password.value);
	form.wps_password.value = "";
	form.confirm_password.value = "";

	return true;
}
//-->
</script>
<h3 align="center">'.$title.' - &quot;'.$row[0].'&quot;</h3>
<form method="post" name="loginform" action="modules.php"
 onsubmit="return submitLogin(this)">
  <div align="center">
    <table align="center" border="0" cellpadding="2" cellspacing="2" class="tableAdmin">
      <tr>
        <td align="right">'._USERNAMECOLON.'</td>
        <td align="left">
          ';

	if ($userid != 0) {
		// The normal user can change the username in addition to the password.
		$page .= '<input type="text" class="textCool" name="wps_username"
		   size="16" value="'.$row[0].'" size="10" autocomplete="off"
		   onfocus="this.className=\'textCoolFocus\'"
		   onblur="this.className=\'textCool\'" />';
	} else {
		// FreeWPS does not allow the user to change the Superuser login name.
		// So we just list it here.
		$page .= '<strong><em>'.$row[0].'</strong></em>';
	}

	$page .= '
        </td>
      </tr>
      <tr>
        <td align="right">'._PASSWORDCOLON.'</td>
        <td align="left">
          <input type="password" class="textCool" name="wps_password" size="16"
           autocomplete="off" onfocus="this.className=\'textCoolFocus\'"
           onblur="this.className=\'textCool\'" />
        </td>
      </tr>
      <tr>
        <td align="right">'._USERS16.'</td>
        <td align="left">
          <input type="password" class="textCool" name="confirm_password" size="16"
           autocomplete="off" onfocus="this.className=\'textCoolFocus\'"
           onblur="this.className=\'textCool\'" />
        </td>
      </tr>
    </table>
    <div style="padding: 0px; margin: 0px; margin-top: 6px;">
      <input type="submit" class="buttonRegular" value="'.$title.'"
       onmouseover="this.className=\'buttonRegularFocus\'"
       onmouseout="this.className=\'buttonRegular\'" />&nbsp;
      <input type="button" class="buttonRegular" value="'._CANCEL.'"
       onclick="location.href = \'modules.php?id=users&amp;mode=admin\'"
       onmouseover="this.className=\'buttonRegularFocus\'"
       onmouseout="this.className=\'buttonRegular\'" />
    </div>
  </div>';

	if ($userid == 0) {
		// Include the username of the root user.
		$page .= '
  <input type="hidden" name="wps_username" value="'.$row[0].'" />';
	}
	$page .= '
  <input type="hidden" name="id" value="users" />
  <input type="hidden" name="mode" value="changeuserpw" />
  <input type="hidden" name="userid" value="'.$userid.'">
  <input type="hidden" name="wps_passhash" value="" />
</form>
';
	// Return the HTML for the "Change Username/Password" form.
	return $page;
}


/**
 * Display a popup window for adding a user to $groupid.
 *
 * @param  int     $groupid   ID of the group to which to add the user
 * @param  string  $userids   String of user IDs, each one wrapped with brackets
 * @access private
 * @return string HTML content of the "Add User" popup
 */
function users_chooseUser($groupid,$userids)
{
	// Initialize the list of user IDs.
	$userarray = array();

	// Set the HTML of the "Add User" popup.
	$page =  '
<script type="text/javascript" src="includes/functions.js"></script>
<script type="text/javascript">
<!--
centerPopupWin();
';

	// Get the SQL operators needed to build the query string.
	$notequal = sql_operator('notequal');

	// Explode $userids into an array of user IDs.
	if (stristr($userids,'[')) {
	  $userarray = explode('][',substr($userids,1,-1));
	}

	// Setup and execute the query to get the available users for $groupid.
	$query_pt1 = 'SELECT ID, USERNAME FROM ';
	$query_pt2 = $GLOBALS['dbpref'].'_USERS WHERE ID '.$notequal.' 0';
	if (count($userarray) > 0) {
		for ($i = 0; $i < count($userarray); $i++) {
			$query_pt2 .= ' AND ID '.$notequal.' '.$userarray[$i];
		}
	}
	$query_pt3 = ' ORDER BY USERNAME';
	$results = sql_query($query_pt1.$query_pt2.$query_pt3, $GLOBALS['db_id']);

	if (sql_num_rows($results,$query_pt2) > 0) {
		// Set the HTML for the "Add User" popup.
		$page .= '
function insertOption (form)
{
	var select1 = window.opener.dialogArguments;
		select2 = form.users;
		text1 = form.text1;
		newopt = select1.options.length;
	select1.disabled = false;
	select1.options.length = newopt + 1;
	select1.options[newopt].text = select2.options[select2.selectedIndex].text;
	select1.options[newopt].value = select2.options[select2.selectedIndex].value;
	select2.options[select2.selectedIndex] = null;
	select2.selectedIndex = 0;
	window.close();
}


function checkAdd (form)
{
	var select2 = form.users;
	form.inputbtn.disabled = (select2.options[select2.selectedIndex].value == 0);
}

//-->
</script>
<h2 align="center">'._USERS18.'</h2>
<form name="formname" method="post" action="modules.php">
  <div align="center">
    <select name="users" onchange="checkAdd(this.form)">
      <option value="0">-- '._USERS55.' --</option>';

		while ($row = sql_fetch_row($results)) {
			// Determine whether the user has already been assigned to the group.
			if (!stristr($userids,'['.$row[0].']')) {
				$page .= '
      <option value="'.$row[0].'">'.$row[1].'</option>';
			}
		}

		// Continue to set the HTML for the form.
		$page .= '
    </select>
    <div style="padding: 0px; margin: 0px; margin-top: 6px;">
      <input type="button" name="inputbtn" value="'._USERS18.'"
       onclick="insertOption(this.form)" disabled="disabled" />
    </div>
  </div>
</form>
';
	} else {
		$page .= '
//-->
</script>
<h2 align="center">'._USERS18.'</h2>
<p align="center">'._USERS56.'</p>
<form method="get" action="modules.php">
  <p align="center">
    <input type="button" onclick="window.close()" value="'._USERS57.'" />
  </p>
</form>
';
	}
	// Return the HTML for the "Add User" popup.
	return $page;
}


/**
 * Display a form to edit the name and membership of an existing group.
 *
 * @param  int     $groupid   ID of the group to edit
 * @access private
 * @return string HTML content of the "Edit Group" form
 */
function users_editGroup($groupid)
{
	if ($groupid == EVERYONE_GROUP) {
		// Skip displaying a form to add/remove users from the EVERYONE GROUP.
		$page  = '
<h3 align="center">'._USERS44.' - &quot;Everyone Group&quot;</h3>
<p><strong>Everyone Group</strong> -&nbsp; '._USERS61.'</p>
<form method="get" action="modules.php">
  <p align="center">
    <input type="button" name="cancelbtn" class="buttonregular"
     onclick="location.href = \'modules.php?id=users&amp;mode=managegroups\'"
     onmouseover="this.className=\'buttonRegularFocus\'"
     onmouseout="this.className=\'buttonRegular\'" value="'._USERS62.'" />
  </p>';
	} else {
		// For all other groups, display a form to add/remove users.
		if (($groupid < 0) && ($groupid != SUPERUSERS_GROUP)) {
			// Initialize the list of modules to authorized for a particular group.
			$modarray = array();
			$query_cmd = 'SELECT '.$GLOBALS['dbpref'].'_MODULES.MODNAME, '.
								   $GLOBALS['dbpref'].'_MODULES.TITLE'.
						 ' FROM '.$GLOBALS['dbpref'].'_MODULES, '.
								   $GLOBALS['dbpref'].'_GRPMODULES'.
						 ' WHERE '.$GLOBALS['dbpref'].'_MODULES.ID = '.
								   $GLOBALS['dbpref'].'_GRPMODULES.MODULEID'.
						 ' AND '.$GLOBALS['dbpref'].'_GRPMODULES.GROUPID = '.
								   $groupid.
						 ' ORDER BY '.$GLOBALS['dbpref'].'_MODULES.TITLE';
			$modresults = sql_query($query_cmd, $GLOBALS['db_id']);
			while ($modrow = sql_fetch_row($modresults)) {
				$modarray[] = $modrow;
			}
		}

		// Setup and execute the query to get the name for $groupid.
		$query_cmd = 'SELECT GRPNAME FROM '.$GLOBALS['dbpref'].'_GROUPS'.
					 ' WHERE ID='.$groupid;
		$results = sql_query($query_cmd,$GLOBALS['db_id']);
		$row = sql_fetch_row($results);

		// Get the SQL Operator "notequal".
		$notequal = sql_operator('notequal');

		// Setup and execute the query to get the membership for $groupid.
		$query_pt1 = 'SELECT '.$GLOBALS['dbpref'].'_USERS.ID, '.
							   $GLOBALS['dbpref'].'_USERS.USERNAME FROM ';
		$query_pt2 = $GLOBALS['dbpref'].'_GRPUSERS, '.$GLOBALS['dbpref'].'_USERS'.
					 ' WHERE '.$GLOBALS['dbpref'].'_USERS.ID = '.
							   $GLOBALS['dbpref'].'_GRPUSERS.USERID'.
					 ' AND '.$GLOBALS['dbpref'].'_USERS.ID '.$notequal.' 0'.
					 ' AND '.$GLOBALS['dbpref'].'_GRPUSERS.GROUPID = '.$groupid;
		$query_pt3 = ' ORDER BY '.$GLOBALS['dbpref'].'_USERS.USERNAME';
		$results = sql_query($query_pt1.$query_pt2.$query_pt3,$GLOBALS['db_id']);

		// Set the HTML for the "Edit Group" form.
		$page = '
<script type="text/javascript" src="includes/functions.js"></script>
<script type="text/javascript">
<!--
function deleteGroup(select)
{
	var j = 0;
	var alerttext = \'\';
	for (var i = 0; i < select.options.length; i++) {
		if (select.options[i].selected) {
			j++;
		}
	}
	if (j > 1) {
		alerttext = \''._USERS58.'\';
	} else {
		alerttext = \''._USERS36.'\';
	}
	if (confirm(alerttext)) {
		while (select.selectedIndex > -1) {
			select.options[select.selectedIndex] = null;
		}
		disableButton(select.form.deletebtn);
		select.form.addbtn.focus();
	}
}

function getValue (select)
{
	dialogArguments = select;
	var userlist = \'\';
	for (var i = 0; i < select.options.length; i++) {
		userlist += \'[\'+select.options[i].value+\']\';
	}

	loc = \'modules.php?id=users&mode=popupusers&groupid='.$groupid.'\'+
		  \'&userlist=\'+userlist;
	opt = \'toolbar=no,menubar=no,personalbar=no,scrollbars=no,\'+
		  \'status=no,width=300,height=150,left=400,top=300\';
	open(loc, \'freewps_popup\', opt);
	checkSelect(select,select.form.deletebtn);
}

function checkSubmit(form)
{
	var options = form.elements[\'grp_users[]\'].options;
	if (options.length > 0) {
		for (var i = 0; i < options.length; i++) {
			options[i].selected = true;
		}
		return true;
	}';

		if ($groupid > 0) {
			$page .= '
	if (form.groupname.value == "") {
		alert(\''._USERS47.'\');
		form.groupname.focus();
		return false;
	}';
		}

		$page .= '
	return true;
}

//-->
</script>
<h3 align="center">'._USERS44.' - &quot;'.$row[0].'&quot;</h3>
<form method="post" name="actions" action="modules.php"
 onsubmit="return checkSubmit(this)">
  <div align="center">
    <table align="center" border="0" cellpadding="2" cellspacing="2" class="tableAdmin">
      <tr>
        <td align="right" nowrap="nowrap">'._USERS49.'&nbsp; </td>
        <td align="left">&nbsp;
        ';

		if ($groupid > 0) {
			$page .= '<input type="text" name="groupname" class="textCool"
         value="'.$row[0].'" onfocus="this.className=\'textCoolFocus\'"
         onblur="this.className=\'textCool\'" />';
		} else {
			$page .= '<em>'.$row[0].'</em>';
		}

		$page .= '
        </td>
      </tr>';

		if ($groupid < 0) {
			$page .= '
      <tr>
        <td align="right" valign="top" nowrap="nowrap">';

			if ($groupid != SUPERUSERS_GROUP) {
				if (count($modarray) > 1) {
					$page .= _USERS60;
				} else {
					$page .= _USERS59;
				}
				$page .= '&nbsp; </td>
        <td align="left">';
				for ($i = 0; $i < count($modarray); $i++) {
					$page .= '&nbsp; &quot;<strong>'.$modarray[$i][1];
					$page .= '</strong>&quot;&nbsp; <em>[ <a href="';
					$page .= 'modules.php?id=settings&amp;mode=moddetail';
					$page .= '&amp;modname='.$modarray[$i][0].'">Info</a>';
					$page .= ' ]</em><br />';
				}
			} else {
				$page .= _USERS60.'&nbsp; </td>
        <td align="left">&nbsp; <strong>'.
          str_replace('<!--GROUP-->','Superusers Group',_USERS63).'</strong>';
			}

			$page .= '
        </td>
      </tr>';
		}
		$page .= '
      <tr>
        <td align="right" valign="top" nowrap="nowrap">'._USERS50.'&nbsp; </td>
        <td align="left">&nbsp;
          <select class="textCool" name="grp_users[]" multiple="multiple" size="6"
           width="350" style="width: 350px"
           onchange="checkSelect(this,this.form.deletebtn)">';

		if (sql_num_rows($results, $query_pt2) > 0) {
			while ($row = sql_fetch_row($results)) {
				// Add each group to the select.
				$page .= '
            <option value="'.$row[0].'">'.$row[1].'</option>';
			}
		}

		// Continue to set the HTML for the form.
		$page .= '
          </select>
        </td>
      </tr>
      <tr>
        <td align="left">&nbsp;</td>
        <td align="left">&nbsp;&nbsp;
          <input type="button" name="addbtn" class="buttonRegular"
           onclick="getValue(this.form.elements[\'grp_users[]\'])"
           onmouseover="this.className=\'buttonRegularFocus\'"
           value="'._USERS18.'" onmouseout="this.className=\'buttonRegular\'" />
          <input type="button" name="deletebtn" class="buttonRegular"
           value="'._USERS24.'" onclick="deleteGroup(this.form.elements[0]);"
           disabled="disabled" onmouseover="this.className=\'buttonRegularFocus\'"
           onmouseout="this.className=\'buttonRegular\'" />
        </td>
      </tr>
    </table>
    <div style="padding: 0px; margin: 0px; margin-top: 10px;">
      <input type="submit" name="savebtn" class="buttonRegular" value="'._USERS51.'"
       onmouseover="this.className=\'buttonRegularFocus\'"
       onmouseout="this.className=\'buttonRegular\'" />&nbsp;
      <input type="button" name="cancelbtn" class="buttonRegular" value="'._CANCEL.'"
       onclick="location.href = \'modules.php?id=users&amp;mode=managegroups\'"
       onmouseover="this.className=\'buttonRegularFocus\'"
       onmouseout="this.className=\'buttonRegular\'" />
    </div>
  </div>
  <input type="hidden" name="id" value="users" />
  <input type="hidden" name="mode" value="editgroup" />
  <input type="hidden" name="groupid" value="'.$groupid.'" />';

	if ($groupid <= 0) {
		$page .= '
  <input type="hidden" name="groupname" value="'.$row[0].'" />';
	}

	$page .= '
</form>
';
	}
	// Return the HTML for the "Edit Group" form.
	return $page;
}


/**
 * Display a form to edit the properties of an existing user.
 *
 * @param  int     $userid   ID of the user to edit
 * @access private
 * @return string HTML content of the "Edit User" form
 */
function users_editUser($userid)
{
	// Setup and execute the query to get the user's username and status.
	$query_cmd = 'SELECT USERNAME,ENABLED FROM '.$GLOBALS['dbpref'].'_USERS'.
				 ' WHERE ID='.$userid;
	$user_results = sql_query($query_cmd,$GLOBALS['db_id']);
	$userrow = sql_fetch_row($user_results);

	// Setup and execute the query to get the user's permissions.
	$query_cmd = 'SELECT GROUPID FROM '.$GLOBALS['dbpref'].'_GRPUSERS'.
				 ' WHERE USERID = '.$userid;
	$perm_results = sql_query($query_cmd,$GLOBALS['db_id']);

	// Initialize the list of the user's permissions as a string.
	$userperms = '';
	while ($row = sql_fetch_row($perm_results)) {
		$userperms .= '['.$row[0].']';
	}

	// Set the HTML for the "Edit User" form.
	$page = '
<script type="text/javascript">
<!--
function submitLogin(form)
{
	if (form.wps_username.value == "") {
		alert("'._USERS11.'");
		form.wps_username.focus();
		return false;
	}
	return true;
}
//-->
</script>
<h3 align="center">'._USERS09.' - &quot;'.$userrow[0].'&quot;</h3>
<form method="post" name="loginform" action="modules.php"
 onsubmit="return submitLogin(this)">
  <div align="center">
    <table align="center" border="0" cellpadding="2" cellspacing="2" class="tableAdmin">
      <tr>
        <td align="right" nowrap="nowrap">'._PASSWORDCOLON.'&nbsp; </td>
        <td align="left">&nbsp; <strong>********</strong>&nbsp; &nbsp;
          <a href="modules.php?id=users&amp;mode=changeuserpw&amp;userid='
          .$userid.'">'._USERS20.'</a>
        </td>
      </tr>';

	// Get the SQL Operator "notequal".
	$sql_op = sql_operator('notequal');

	// Setup and execute the query to get the list of possible group permissions.
	$query_pt1 = 'SELECT ID,GRPNAME FROM ';
	$query_pt2 = $GLOBALS['dbpref'].'_GROUPS WHERE ID '.$sql_op.' 0'.
				 ' AND ID '.$sql_op.' '.SUPERUSERS_GROUP;
	$query_pt3 = ' ORDER BY GRPNAME';
	$results = sql_query($query_pt1.$query_pt2.$query_pt3,$GLOBALS['db_id']);

	// Display up to 6 lines before scrolling in the SELECT element.
	$listnum = sql_num_rows($results,$query_pt2);
	if ($listnum > 6) {
		$listnum = 6;
	}

	// Continue to set the HTML for the "Edit User" form.
	$page .= '
      <tr>
        <td align="right" nowrap="nowrap">'._USERS17.'&nbsp; </td>
        <td align="left">&nbsp;
          <select class="textCool" name="user_permissions[]"
           multiple="multiple" size="'.$listnum.'">';

	while ($row = sql_fetch_row($results)) {
		// Add each group ID to the select.
		$page .= '
            <option value="'.$row[0].'"';

		if (strstr($userperms,'['.$row[0].']') !== FALSE) {
			// If the user has the selected permission already,
			// label the OPTION as selected.
			$page .= ' selected="selected"';
		}

		$page .= '>'.$row[1].'</option>';
	}

	// Continue to set the HTML for the "Edit User" form.
	$page .= '
          </select>
        </td>
      </tr>
      <tr>
        <td align="right" nowrap="nowrap">'._USERS21.'&nbsp; </td>
        <td align="left">&nbsp;
          <select class="textCool" name="enabled">
            <option value="i">'._USERS22.'</option>
            <option value="n"';

	// If the user is not enabled, label the OPTION as selected.
	if ($userrow[1] == 'n') {
		$page .= ' selected="selected"';
	}

	// Continue to set the HTML for the form.

	$page .= '>'._NO.'</option>
            <option value="y"';

	// If the user is enabled, label the OPTION as selected.
	if ($userrow[1] == 'y') {
		$page .= ' selected="selected"';
	}

	// Continue to set the HTML for the form.
	$page .= '>'._YES.'</option>
          </select>
        </td>
      </tr>
    </table>
    <div style="padding: 0px; margin: 0px; margin-top: 10px;">
      <input type="submit" class="buttonRegular" value="'._USERS23.'"
       onmouseover="this.className=\'buttonRegularFocus\'"
       onmouseout="this.className=\'buttonRegular\'" />
      <input type="button" class="buttonRegular" value="'._USERS24.'"
       onclick="location.href = \'modules.php?id=users'.
       '&amp;mode=deleteuser&amp;userid='.$userid.'\'"
       onmouseover="this.className=\'buttonRegularFocus\'"
       onmouseout="this.className=\'buttonRegular\'" />
      <input type="button" class="buttonRegular" value="'._CANCEL.'"
       onclick="location.href = \'modules.php?id=users&amp;mode=admin\'"
       onmouseover="this.className=\'buttonRegularFocus\'"
       onmouseout="this.className=\'buttonRegular\'" />
    </div>
  </div>
  <input type="hidden" name="id" value="users" />
  <input type="hidden" name="mode" value="edituser" />
  <input type="hidden" name="userid" value="'.$userid.'" />
  <input type="hidden" name="wps_passhash" value="" />
</form>
';
	// Return the HTML for the "Edit User" form.
	return $page;
}


/**
 * Display a list of the existing groups and the various functions and options that
 * are available.
 *
 * @access private
 * @return string HTML content of the "Group Management" panel
 */
function users_groupAdmin()
{
	// Set the HTML for the "Group Management" panel.
	$page =  '
<script type="text/javascript" src="includes/functions.js"></script>
<script type="text/javascript">
<!--
function checkGroup (element)
{
	var checktext = element.text;
	if (checktext.indexOf(\'**\') != -1) {
		disableButton(element.form.deletegroup);
	}
	else {
		enableButton(element.form.deletegroup);
	}
	return true;
}

function moduleAction (element)
{
	var select   = element.form.groupid;
		groupstr = \'&groupid=\' + select.options[select.selectedIndex].value;
	switch (element.name) {
		case \'editgroup\':
			location.href = \'modules.php?id=users&mode=editgroup\'+groupstr;
			break;

		case \'changemembers\':
			location.href = \'modules.php?id=users&mode=changemembers\'+groupstr;
			break;

		case \'deletegroup\':
			if (confirm(\''._USERS36.'\')) {
				location.href = \'modules.php?id=users&mode=deletegroup\'+groupstr;
			}
			break;
	}
	return true;
}

function navAction (element)
{
	switch (element.value) {

		case \'default\':
			alert(\''._NAVIGATIONERROR.'\');
			break;

		case \'addgroup\':
			element.form.groupnew.value = prompt(\''._USERS52.'\',\''._USERS53.'\');
			switch (element.form.groupnew.value) {
				case null:
				case \'null\':
					element.form.actionlist.selectedIndex=0;
					element.form.actionlist.focus();
					return false;
					break;

				case \'\':
				case \''._USERS53.'\':
					alert(\''._USERS54.'\');
					element.form.actionlist.selectedIndex=0;
					element.form.actionlist.focus();
					return false;
					break;

				default:
					element.form.mode.value = \'addgroup\';
					element.form.submit();
					break;
			}
		break;

		case \'admin\':
			location.href = \'modules.php?id=users\';
			break;

		case \'adminpanel\':
			location.href = \'admin.php\';
			break;
	}
	return true;
}

//-->
</script>
<h3 align="center">'._USERS41.'</h3>
<form method="post" action="modules.php">
  <div align="center">
    <table align="center" border="0" cellpadding="2" cellspacing="2" class="tableAdmin">
      <tr>
        <td align="center">
          <select class="textCool" name="actionlist"
           onchange="navAction(this.options[this.selectedIndex])">
            <option value="default">- '._NAVIGATIONMENU.' -</option>
            <option value="addgroup">'._USERS42.'</option>
            <option value="admin">'._USERS29.'</option>
            <option value="adminpanel">'._BACK2ADMIN.'</option>
          </select>
        </td>
      </tr>
    </table>
    <hr class="paddedhr" />
    <table align="center" border="0" cellpadding="2" cellspacing="2" class="tableAdmin">
      <tr>
        <td align="center" colspan="3">
          <strong>'._USERS43.'</strong>&nbsp;
          <select class="textCool" name="groupid" size="1"
           onchange="checkGroup(this.options[this.selectedIndex]);">';

	// Setup and execute the query to get the list of groups.
	$query_pt1 = 'SELECT ID, GRPNAME FROM ';
	$query_pt2 = $GLOBALS['dbpref'].'_GROUPS';
	$query_pt3 = ' ORDER BY GRPNAME';
	$results = sql_query($query_pt1.$query_pt2.$query_pt3,$GLOBALS['db_id']);

	// If one or more groups exist, display the list of groups.
	if (sql_num_rows($results,$query_pt2) > 0 ) {
		// Enumerate all the groups in the list.
		$firsttime = TRUE;
		$disabledelete = FALSE;
		while ($row = sql_fetch_row($results)) {
			$page .= '
            <option value="'.$row[0].'">'.$row[1];
			if ($row[0] < 1) {
				if ($firsttime) {
					$disabledelete = TRUE;
				}
				$page .= ' **';
				if (!isset($showlegend)) {
					$showlegend = TRUE;
				}
			}
			if ($firsttime) {
				$firsttime = FALSE;
			}
			$page .= '</option>';
		}
	}

	// Continue to set the HTML for the "Group Management" panel.
	$page .= '
          </select>';
	if ($showlegend) {
		$page .= '
          <p><small><STRONG>** LEGEND</STRONG>:&nbsp; Groups labeled with
           &quot;**&quot; are Reserved Groups.</small><br />&nbsp;</p>';
	}

	// Continue to set the HTML for the "Group Management" panel.
	$page .= '
        </td>
      </tr>
    </table>
    <div style="padding: 0px; margin: 0px; margin-top: 10px;">
      <input type="button" class="buttonRegular" name="editgroup"
       value="'._USERS44.'" onclick="moduleAction(this);"
       onmouseover="this.className=\'buttonRegularFocus\'"
       onmouseout="this.className=\'buttonRegular\'" />
    </div>
    <div style="padding: 0px; margin: 0px; margin-top: 10px;">
      <input type="button" class="buttonRegular" name="deletegroup"';

	if ($disabledelete) {
		$page .= ' disabled="disabled"';
	}

	// Continue to set the HTML for the "Group Management" panel.
	$page .= '
       value="'._USERS46.'" onclick="moduleAction(this);"
       onmouseover="this.className=\'buttonRegularFocus\'"
       onmouseout="this.className=\'buttonRegular\'" />
    </div>
  </div>
  <input type="hidden" name="groupnew" value="" />
  <input type="hidden" name="mode" value="" />
  <input type="hidden" name="id" value="users" />
</form>
';
	// Return the HTML for the "Group Management" panel.
	return $page;
}


/**
 * Display a list of the events recorded in TABLE wps_syslog.
 *
 * @param  int     $start   Record from which to begin listing events
 * @param  int     $total   Number of records to list per page.
 * @access private
 * @return string HTML content of the "View Syslog" panel
 */
function users_viewLog($start,$total)
{
	// Setup and execute the get the total number of SYSLOG events.
	$query_pt1 = 'SELECT ID FROM ';
	$query_pt2 = $GLOBALS['dbpref'].'_SYSLOG';
	$total_results = sql_query($query_pt1.$query_pt2,$GLOBALS['db_id']);
	$logtotal = sql_num_rows($total_results,$query_pt2);

	// Set the HTML for the "View Syslog" panel.
	$page =  '
<script type="text/javascript">
<!--
function navAction (element)
{
	switch (element.value) {
		case \'default\':
			alert(\''._NAVIGATIONERROR.'\');
			break;

		case \'admin\':
			location.href = \'modules.php?id=users\';
			break;

		case \'adminpanel\':
			location.href = \'admin.php\';
			break;
';

	if ($logtotal > 0) {
		$page .= '
		case \'deletelog\':
			if (confirm(\''._USERS25.'\')) {
				loc = \'modules.php?id=users&mode=downloaddelay\';
				opt = \'toolbar=no,menubar=no,personalbar=no,scrollbars=no,\'+
					  \'status=no,width=300,height=180,left=400,top=300\';
				open(loc, \'freewps_popup\', opt);
			}
			if (confirm(\''._USERS26.'\')) {
				location.href = \'modules.php?id=users&mode=deletelog\';
			}
			break;

		case \'downloadlog\':
			loc = \'modules.php?id=users&mode=downloaddelay\';
			opt = \'toolbar=no,menubar=no,personalbar=no,scrollbars=no,\'+
				  \'status=no,width=300,height=180,left=400,top=300\';
			open(loc, \'freewps_popup\', opt);
			break;
';
	}

	$page .= '
	}
	element.form.actionlist.selectedIndex = 0;
	return true;
}

//-->
</script>
<h3 align="center">'._USERS10.'</h3>
<form method="get" action="modules.php">
  <div align="center">
    <table align="center" border="0" cellpadding="2" cellspacing="2" class="tableAdmin">
      <tr>
        <td align="center">
          <select class="textCool" name="actionlist"
           onchange="navAction(this.options[this.selectedIndex])">
            <option value="default">- '._NAVIGATIONMENU.' -</option>';

	if ($logtotal > 0) {
		$page .= '
            <option value="deletelog">'._USERS27.'</option>
            <option value="downloadlog">'._USERS28.'</option>';
	}

	// Continue to set the "View Syslog" panel.
	$page .= '
            <option value="admin">'._USERS29.'</option>
            <option value="adminpanel">'._BACK2ADMIN.'</option>
          </select>
        </td>
      </tr>
    </table>
    <hr class="paddedhr" />';

	// If more than one regular event exists, display the list of events.
	if ($logtotal > 0 ) {
		$list_begin = $start + 1;
		$list_end = $start + $total;
		if ($list_end > $logtotal) {
			$list_end = $logtotal;
		}

		$page .= '
    <p><span class="login">'._USERS30.' <strong>'.$list_begin.'-'.$list_end.
    '</strong> (<strong>'.$logtotal.'</strong> total):</span></p>';

		$pagenums = ($logtotal - (($logtotal - 1) % $total)) / $total;
		if ($pagenums > 0) {
			$page .= '
    <p align="center"><span class="login"><strong>'._USERS31.'</strong>';

			$j = 0;
			for ($i = 0; $i <= $pagenums; $i++) {
				$j = $i + 1;
				$page .= ' ';
				if ($i != ($start / $total)) {
					$page .= '<a href="modules.php?id=users&amp;mode=viewsyslog';
					if ($i > 0) {
						$list_next = $i * $total;
						$page .= '&amp;logstart='.$list_next;
					}
					$page .= '">'.$j.'</a>';
				} else {
					$page .= $j;
				}
				$page .= ' ';
			}
			$page .= '</span></p>';
		}

		$page .= '
    <table class="tableAdmin" align="center">
      <tr>
        <th align="center" class="columnAdminHeader"
         nowrap="nowrap">'._USERS32.'</th>
        <th align="center" class="columnAdminHeader"
         nowrap="nowrap">'._USERS33.'</th>
        <th align="center" class="columnAdminHeader">'._USERS34.'</th>
      </tr>';

		// Setup and execute the limit query to return the events
		// from $start up to $total.
		$log_results = sql_limitquery('ID,CATEGORY,STATEMENT',
									  $GLOBALS['dbpref'].'_SYSLOG',
									  '',
									  'ID',
									  $start,
									  $total);

		// Initialize the highlight number to highlight rows in the table.
		$hilite = 1;

		while ($log_row = sql_fetch_row($log_results)) {
			// Initialize the class to highlight this row in the table.
			$style = 'columnAdminCell';
			if (($hilite % 2) == 0) {
				$style .= '2';
			}
			$page .= '
      <tr>
        <td align="left" valign="top" class="'.$style.'"'.
        'nowrap="nowrap">&nbsp; '.date('D, j M Y', $log_row[0]).
        '&nbsp; <br />&nbsp; '.date('G:i:s O', $log_row[0]).
        '&nbsp; </td>
        <td align="left" valign="top" class="'.$style.'" nowrap="nowrap">&nbsp; ';

			$constnum = $log_row[1]+5;
    		$page .= constant('_USERS0'.$constnum);
			$page .= '&nbsp; </td>
        <td align="left" valign="top" class="'.$style.'">'.stripslashes($log_row[2]).'</td>
      </tr>';

			$hilite++;
		}

		// Continue to set the HTML for the "View Syslog" panel.
		$page .= '
    </table>
    <br />';
	} else {
		// If no events exist, say so.
		$page .= '
    <h4 align="center">'._USERS35.'</h4>';
	}

	// Continue to set the HTML for the "View Syslog" panel.
	$page .= '
  </div>
</form>';

	// Return the HTML for the "View Syslog" panel.
	return $page;
}


/**
 * Update any module-specific tables that contain group associations when a group is
 * deleted.
 *
 * @param  int     $groupid   ID of the group being deleted.
 * @access private
 * @return void
 */
function users_updateAssoc($groupid)
{
	// Initialize the list of tables to update.
	$tables = array();

	// Get the SQL operator "notequal".
	$notequal = sql_operator('notequal');

	// Setup and execute the query to retrieve all module names.
	$query_cmd = 'SELECT MODNAME FROM '.$GLOBALS['dbpref'].'_MODULES'.
				 ' ORDER BY MODNAME';
	$mod_results = sql_query($query_cmd, $GLOBALS['db_id']);
	while ($modrow = sql_fetch_row($mod_results)) {
		// Include the getGroups function for each module.
		/** @ignore */
		@include_once $GLOBALS['site_path'].'/modules/'.$modrow[0].'/getgroups.php';
		if (function_exists($modrow[0].'_getGroups')) {
			// Add the tables to the existing tables array.
			$tables = array_merge($tables,call_user_func($modrow[0].'_getGroups'));
		}
	}

	reset($tables);
	if (count($tables) > 0) {
		while ($element = current($tables)) {
			// Setup and execute the query to return any group associations for each
			// module and its security tables.
			$query_pt1 = 'SELECT ID, '.$element['FIELD'].' FROM ';
			$query_pt2 = $element['TABLE'].' WHERE GROUPID = '.$groupid;
			$results = sql_query($query_pt1.$query_pt2, $GLOBALS['db_id']);
			if (sql_num_rows($results,$query_pt2)) {
				while ($row = sql_fetch_row($results)) {
					// Setup and execute the query to return all group association
					// matches for groups other than $groupid
					$query_pt1 = 'SELECT GROUPID FROM ';
					$query_pt2 = $element['TABLE'].
								 ' WHERE '.$element['FIELD'].' = '.$row[1].
								 ' AND GROUPID '.$notequal.' '.$groupid;
					$grpresults = sql_query($query_pt1.$query_pt2,
											$GLOBALS['db_id']);
					if (sql_num_rows($grpresults,$query_pt2) > 1) {
						// Since this $field has other group associations,
						// just delete the ones for $groupid.
						sql_query('DELETE FROM '.$element['TABLE'].
								  ' WHERE ID = '.$row[0], $GLOBALS['db_id']);
					} else {
						// With only one entry left, set that entry to EVERYONE.
						sql_query('UPDATE '.$element['TABLE'].
								  ' SET GROUPID = '.EVERYONE_GROUP.
								  ' WHERE ID = '.$row[0], $GLOBALS['db_id']);
					}
					// Free the result set so we can reuse it.
					sql_free_result($grpresults);
				}
			}
			// Free the result set so we can reuse it.
			sql_free_result($results);
			next($tables);
		}
	}
}


/**
 * Display popup window allow users to download the CSV of SYSLOG events.
 *
 * @access private
 * @return string HTML content of the "Download Delay" popup
 */
function users_downloadDelay()
{
	// Set the HTML for the "Download Delay" popup.
	$page  = '
<script type="text/javascript" src="includes/functions.js"></script>
<script type="text/javascript">
<!--
centerPopupWin();

document.getlog.submit();
self.setTimeout(\'self.close();\',5000);
//-->
</script>
<form method="get" action="modules.php" name="getlog">
  <div align="center">
    <h3>'._USERS03.'</h3>
    <p>'._USERS48.'</p>
    <p><input type="submit" value="'._DOWNLOADCLICK.'" /></p>
    <p><input type="button" value="'._USERS04.'" onclick="window.close()" /></p>
  </div>
  <input type="hidden" name="id" value="users" />
  <input type="hidden" name="mode" value="downloadlog" />
</form>
';
	// Return the HTML for the "Download Delay" popup.
	return $page;
}

?>