<?php
/**
 * Print-Friendly Display page
 *
 * Presents the end-user the requested page ($_GET['id']) using the globally-defined
 * printer-friendly template (or redirects the user to the 404-File Not Found page).
 * @package Core-Scripts
 */
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +------------------------------------------------------+
// | PRINTABLE.PHP                                        |
// +------------------------------------------------------+
// | Copyright (c) 2003-2004 YTZ Technical Services, LLC. |
// +------------------------------------------------------+
// | PRINTABLE.PHP is part of FreeWPS.                    |
// |                                                      |
// | FreeWPS was built using the FreeWPS Software         |
// | Development Kit (SDK), version 2.0.  Free Web        |
// | Publishing System[tm] and FreeWPS[tm] are both       |
// | trademarks of YTZ Technical Services, LLC.           |
// |                                                      |
// | FreeWPS is free software; you can redistribute       |
// | it and/or modify it under the terms of the GNU       |
// | General Public License as published by the Free      |
// | Software Foundation; either version 2 of the         |
// | License, or (at your option) any later version.      |
// |                                                      |
// | FreeWPS is distributed in the hope that it will      |
// | be useful, but WITHOUT ANY WARRANTY; without even    |
// | the implied warranty of MERCHANTABILITY or           |
// | FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       |
// | General Public License (included as COPYING.txt)     |
// | for more details.                                    |
// |                                                      |
// | You should have received a copy of the GNU General   |
// | Public License along with FreeWPS. If you did        |
// | not, you may download a copy at:                     |
// |                                                      |
// | URL:  http://www.fsf.org/licenses/gpl.txt            |
// |                                                      |
// | You may also request a copy from:                    |
// |                                                      |
// | Free Software Foundation, Inc.                       |
// | 59 Temple Place, Suite 330                           |
// | Boston, MA 02111-1307                                |
// | USA                                                  |
// +------------------------------------------------------+
// | Author: Justin White <jwhite@ytztech.com>            |
// +------------------------------------------------------+
//
// $Id: printable.php,v 1.5 2004/08/15 05:47:42 ytztech Exp $
//

/** Include the main set of FreeWPS APIs. */
include_once 'includes/functions.php';

// Check for page number, or name.
if (isset($_GET['id'])) {
	// Create the page.
	core_createPage('', $_GET['id'],'',$template_printable);
} elseif (isset($_GET['page'])) {
	$page = urldecode($_GET['page']);
	// Create the page.
	core_createPage('WPS-BY-PAGENAME', $page,'',$template_printable);
} else {
	// Otherwise, go to the 404 page.
	header('Location: 404.php');
}

?>