<?php
/**
 * Upload Files script
 *
 * Provides a processing script to receive files uploaded with the File Management
 * module and will copy those files into the UPLOAD directory.
 * @package Core-Scripts
 */
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +------------------------------------------------------+
// | UPLOAD.PHP                                           |
// +------------------------------------------------------+
// | Copyright (c) 2003-2004 YTZ Technical Services, LLC. |
// +------------------------------------------------------+
// | UPLOAD.PHP is part of FreeWPS.                       |
// |                                                      |
// | FreeWPS was built using the FreeWPS Software         |
// | Development Kit (SDK), version 2.0.  Free Web        |
// | Publishing System[tm] and FreeWPS[tm] are both       |
// | trademarks of YTZ Technical Services, LLC.           |
// |                                                      |
// | FreeWPS is free software; you can redistribute       |
// | it and/or modify it under the terms of the GNU       |
// | General Public License as published by the Free      |
// | Software Foundation; either version 2 of the         |
// | License, or (at your option) any later version.      |
// |                                                      |
// | FreeWPS is distributed in the hope that it will      |
// | be useful, but WITHOUT ANY WARRANTY; without even    |
// | the implied warranty of MERCHANTABILITY or           |
// | FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       |
// | General Public License (included as COPYING.txt)     |
// | for more details.                                    |
// |                                                      |
// | You should have received a copy of the GNU General   |
// | Public License along with FreeWPS. If you did        |
// | not, you may download a copy at:                     |
// |                                                      |
// | URL:  http://www.fsf.org/licenses/gpl.txt            |
// |                                                      |
// | You may also request a copy from:                    |
// |                                                      |
// | Free Software Foundation, Inc.                       |
// | 59 Temple Place, Suite 330                           |
// | Boston, MA 02111-1307                                |
// | USA                                                  |
// +------------------------------------------------------+
// | Author: Justin White <jwhite@ytztech.com>            |
// +------------------------------------------------------+
//
// $Id: upload.php,v 1.4 2004/03/31 05:34:35 ytztech Exp $
//

/** Include the main set of FreeWPS APIs. */
include_once 'includes/functions.php';

// Set the folder to contain the uploaded files.
$folder = $site_path.'/upload/';

if (isset($_FILES)) {
	// Since some files have been uploaded, process them.
	for ($i = 0; $i < count($_FILES); $i++) {
		// Get the next filename.
		$filename = $_FILES['File'.$i]['name'];
		if ($_FILES['File'.$i]['error'] == 0) {
			// Since no error was returned, copy the file to the new location.
			copy($_FILES['File'.$i]['tmp_name'], $folder.$filename);
			if (!stristr(PHP_OS,'win')) {
				// For all *nix-based OS, change the permissions to rw-rw-rw-.
				chmod($folder.$filename,0666);
			}
			// Reply to the user that the file was uploaded successfully.
			echo 'Successfully uploaded <'.$filename.'>.'."\r\n";
		} else {
			// Damn, an error.  Errors suck.
			switch ($_FILES['File'.$i]['error']) {
				// Error Code 0: Successful upload.
					// No action required.

				// Error Code 1: Filesize exceeds max size as limited by php.ini.
				case 1:
					echo '** ERROR:  "'.$filename.'" exceeded'."\r\n";
					echo '           "upload_max_filesize" directive in'."\r\n";
					echo '           PHP configuration.'."\r\n";
					// End this joyride.
					break;

				// Error Code 2: Filesize exceeds size specified by form.
					// Not used, since we rely on the PHP limit.  Not every browser
					// supports this method, so it cannot be relied upon.

				// Error Code 3
				case 3:
					echo '** ERROR:  "'.$filename.'" was only';
					echo '           partially uploaded.'."\r\n";
					// End this joyride.
					break;

				case 4:
					echo '** ERROR:  "'.$filename.'" was not uploaded'."\r\n";
					echo '           by browser (file not found).'."\r\n";
					// End this joyride.
					break;
			}
		}
	}
}

?>